/*header script*/
jQuery( document ).on( "click", "#activity-panel-tab-help", function(e) {
	e.preventDefault(); // stops link from making page jump to the top
	e.stopPropagation(); // when you click the button, it stops the page from seeing it as clicking the body too
	jQuery(this).addClass( 'is-active' );
	jQuery( '.woocommerce-layout__activity-panel-wrapper' ).addClass( 'is-open is-switching' );
});

jQuery( document ).on( "click", ".woocommerce-layout__activity-panel-wrapper", function(e) {	
	e.stopPropagation(); // when you click the button, it stops the page from seeing it as clicking the body too	
});

jQuery( document ).on( "click", "body", function() {	
	jQuery('#activity-panel-tab-help').removeClass( 'is-active' );
	jQuery( '.woocommerce-layout__activity-panel-wrapper' ).removeClass( 'is-open is-switching' );
});
/*header script end*/ 


/* alp_snackbar jquery */
(function( $ ){
	$.fn.alp_snackbar = function(msg) {
		if ( jQuery('.snackbar-logs').length === 0 ){
			$("body").append("<section class=snackbar-logs></section>");
		}
		var alp_snackbar = $("<article></article>").addClass('snackbar-log snackbar-log-success snackbar-log-show').text( msg );
		$(".snackbar-logs").append(alp_snackbar);
		setTimeout(function(){ alp_snackbar.remove(); }, 3000);
		return this;
	}; 
})( jQuery );

/* alp_snackbar_warning jquery */
(function( $ ){
	$.fn.alp_snackbar_warning = function(msg) {
		if ( jQuery('.snackbar-logs').length === 0 ){
			$("body").append("<section class=snackbar-logs></section>");
		}
		var alp_snackbar_warning = $("<article></article>").addClass( 'snackbar-log snackbar-log-error snackbar-log-show' ).html( msg );
		$(".snackbar-logs").append(alp_snackbar_warning);
		setTimeout(function(){ alp_snackbar_warning.remove(); }, 3000);
		return this;
	}; 
})( jQuery );

jQuery(document).ready(function(){
	
	"use strict";
	
	jQuery('#wclp_default_single_country, #wclp_default_single_state, #wclp_default_country, .wclp_pickup_time_select, #wclp_display_pickup_instruction_statuses, #alp_order_display_in_fulfillment_dashboard').select2();
	
	jQuery(".tipTip").tipTip();	
	
	jQuery('#wclp_store_public_holidays').multiDatesPicker({
		showButtonPanel: true,
		dateFormat: 'dd/mm/yy',
		changeMonth: true,
		changeYear: true,
		position: 'bottom'
	});

	jQuery('#wclp_processing_lp_status_label_color').wpColorPicker({
		change: function(e, ui) {
			var color = ui.color.toString();			
			jQuery('.order-status-table .order-label.wc-processing-lp').css('background',color);
		}, 
	});

	jQuery('#wclp_ready_pickup_status_label_color').wpColorPicker({
		change: function(e, ui) {
			var color = ui.color.toString();			
			jQuery('.order-status-table .order-label.wc-ready-pickup').css('background',color);
		}, 
	});
	
	jQuery('#wclp_pickup_status_label_color').wpColorPicker({
		change: function(e, ui) {
			var color = ui.color.toString();			
			jQuery('.order-status-table .order-label.wc-pickup').css('background',color);
		}, 
	});	
	
	jQuery('body').click( function(){	
		if ( jQuery('.processing_lp_row  button.button.wp-color-result').hasClass( 'wp-picker-open' ) ) { 
			save_custom_order_status(); 
		}
	});

	jQuery('.processing_lp_row button.button.wp-color-result').click( function(){	
		if ( jQuery(this).hasClass( 'wp-picker-open' ) ) {}else{save_custom_order_status();}
	});
	
	jQuery('body').click( function(){	
		if ( jQuery('.ready_pickup_row  button.button.wp-color-result').hasClass( 'wp-picker-open' ) ) { 
			save_custom_order_status(); 
		}
	});
	
	jQuery('.ready_pickup_row button.button.wp-color-result').click( function(){	
		if ( jQuery(this).hasClass( 'wp-picker-open' ) ) {}else{save_custom_order_status();}
	});
	
	jQuery('body').click( function(){	
		if ( jQuery('.picked_up_row button.button.wp-color-result').hasClass( 'wp-picker-open' ) ) { 
			save_custom_order_status(); 
		}
	});
	
	jQuery('.picked_up_row  button.button.wp-color-result').click( function(){	
		if ( jQuery(this).hasClass( 'wp-picker-open' ) ) {}else{save_custom_order_status();}
	});
	
	if(jQuery('#wclp_store_name').val() === ''){
		jQuery(".address-special").addClass('active');
		jQuery(".address-special").next('.panel').addClass('active').slideDown("slow");
		jQuery(".address-special").css('cursor', 'default');
		jQuery(".address-special").find('span.wclp-btn').show();
		jQuery(".address-special").find('label span.dashicons').removeClass('dashicons-arrow-right-alt2');
		jQuery(".address-special").find('label').css('color','#212121');
	}

	jQuery('.wclp_google_maps_apikey').hide();
	if( jQuery('#wclp_pickup_location_sort').val() === 'distance'){
		jQuery('.wclp_google_maps_apikey').show();
	}

	jQuery(document).on("change", "#wclp_pickup_location_sort", function(){
		var value = jQuery(this).val();
		if( value === 'distance' ) {
			jQuery('.wclp_google_maps_apikey').show();
		} else {
			jQuery('.wclp_google_maps_apikey').hide();
		}
	});
	
	jQuery('.wclp_pickup_reminder_SMS_template').hide();
	if( jQuery('#wclp_enable_pickup_reminder_SMS').prop("checked") == true ) {
		jQuery('.wclp_pickup_reminder_SMS_template').show();
	} 

	jQuery('#wclp_enable_pickup_reminder_SMS').click( function(){
		var value = jQuery('#wclp_enable_pickup_reminder_SMS').prop("checked");
		if( value == true ) {
			jQuery('.wclp_pickup_reminder_SMS_template').show();
		} else {
			jQuery('.wclp_pickup_reminder_SMS_template').hide();
		}
	});

	jQuery('.drodown_position, .message_textarea').hide();
	if( jQuery('#display_message_product_page').prop("checked") == true ) {
		jQuery('.drodown_position, .message_textarea').show();
	} 
	jQuery('#display_message_product_page').click( function(){
		var value = jQuery('#display_message_product_page').prop("checked");
		if( value == true ) {
			jQuery('.drodown_position, .message_textarea').show();
		} else {
			jQuery('.drodown_position, .message_textarea').hide();
		}
	});
	
	jQuery(document).on("change", "#wclp_appt_pickup_increment2", function(){
		var unit = jQuery(this).val();
		if( unit === 'hour' || unit === 'day' ) {
			jQuery('#wclp_appt_pickup_increment').attr('max','24').val('1');
		} else {
			jQuery('#wclp_appt_pickup_increment').attr('max','3600').val('15');
		}
	});
	
	jQuery(document).on("change", "#wclp_pickup_reminder_time2", function(){
		var unit = jQuery(this).val();
		if( unit === 'hour' || unit === 'day' ) {
			jQuery('#wclp_pickup_reminder_time').attr('max','24').val('1');
		} else {
			jQuery('#wclp_pickup_reminder_time').attr('max','3600').val('15');
		}
	});

	jQuery(document).on("change", "#wclp_2nd_pickup_reminder_time2", function(){
		var unit = jQuery(this).val();
		if( unit === 'hour' || unit === 'day' ) {
			jQuery('#wclp_2nd_pickup_reminder_time').attr('max','24').val('1');
		} else {
			jQuery('#wclp_2nd_pickup_reminder_time').attr('max','3600').val('15');
		}
	});
	
	var val = jQuery("#wclp_appt_first_date").val();
	jQuery('#wclp_appt_time_range > option').each(function() {
		jQuery(this).css('display','');
		if ( parseInt(jQuery(this).val()) < parseInt(val) ) {
			jQuery(this).css('display','none');                                 
		}
	});
	
});

jQuery(document).on("change", "#wclp_appt_first_date", function(event){
	var val = parseInt(jQuery(this).val());
	var end_time = parseInt(jQuery("#wclp_appt_time_range").val());
	jQuery('#wclp_appt_time_range > option').each(function() {
		jQuery(this).css('display','');
		if ( parseInt(jQuery(this).val()) <= val ) {
			jQuery(this).css('display','none');
			if( end_time < val){
				jQuery("#wclp_appt_time_range").val(val+1).trigger('change');
			}
		}
	});
});

jQuery(document).on("click", ".accordion", function(){
	"use strict";
	
	var location_name = jQuery('#wclp_store_name').val();
	if(location_name === ''){
		jQuery('#wclp_store_name').next(".alp_error_msg").show();
		jQuery('#wclp_store_name').css('border-color','red');
		jQuery('#wclp_store_name').css('display','block');
	}
	if(location_name !== ''){
		if (jQuery(this).next('.panel').hasClass('active')) {
			//
			jQuery(".accordion").css('border-color','');
			jQuery(".accordion").removeClass('active');
			jQuery(".accordion").next('.panel').removeClass('active').slideUp("slow");
			jQuery(".accordion").css('cursor', '');
			jQuery(".accordion").find('span.wclp-btn').hide();
			jQuery(".accordion").find('label span.dashicons').addClass('dashicons-arrow-right-alt2');
			jQuery(".accordion").find('label').css('color','');
		} else {
			jQuery('#wclp_store_name').next(".alp_error_msg").hide();
			jQuery('#wclp_store_name').css('border-color','');
			jQuery(".accordion").css('border-color','');
			jQuery(".accordion").removeClass('active');
			jQuery(".accordion").next('.panel').removeClass('active').slideUp("slow");
			jQuery(".accordion").css('cursor', '');
			jQuery(".accordion").find('span.wclp-btn').hide();
			jQuery(".accordion").find('label span.dashicons').addClass('dashicons-arrow-right-alt2');
			jQuery(".accordion").find('label').css('color','');
			jQuery(this).addClass('active');
			jQuery(this).css('cursor', 'default');
			jQuery(this).find('span.wclp-btn').show();
			jQuery(this).find('label span.dashicons').removeClass('dashicons-arrow-right-alt2');
			jQuery(this).find('label').css('color','#212121');
			jQuery(this).next('.panel').addClass('active').slideDown( 'slow', function() {
				var visible = jQuery(this).isInViewport();
				if ( !visible ) {
					jQuery('html, body').animate({
						scrollTop: jQuery(this).prev().offset().top - 35
					}, 1000);	
				}			
			} );
		}
	}
});

(function( $ ){
	$.fn.isInViewport = function( element ) {
		var win = $(window);
		var viewport = {
			top : win.scrollTop()			
		};
		viewport.bottom = viewport.top + win.height();
		
		var bounds = this.offset();		
		bounds.bottom = bounds.top + this.outerHeight();

		if( bounds.top >= 0 && bounds.bottom <= window.innerHeight) {
			return true;
		} else {
			return false;	
		}		
	};
})( jQuery );

jQuery(document).on("change", "#wclp_processing_lp_status_label_font_color", function(){
	var font_color = jQuery(this).val();
	jQuery('.order-status-table .order-label.wc-processing-lp').css('color',font_color);
	save_custom_order_status();
});

jQuery(document).on("change", "#wclp_pickup_status_label_font_color", function(){
	var font_color = jQuery(this).val();
	jQuery('.order-status-table .order-label.wc-pickup').css('color',font_color);
	save_custom_order_status();
});

jQuery(document).on("change", "#wclp_ready_pickup_status_label_font_color", function(){
	var font_color = jQuery(this).val();
	jQuery('.order-status-table .order-label.wc-ready-pickup').css('color',font_color);
	save_custom_order_status();
});

jQuery(document).on("click", "#wclp_status_pickup", function(){
	if(jQuery(this).prop("checked") == true){
        jQuery(this).closest('tr').removeClass('disable_row');				
    } else{
		jQuery(this).closest('tr').addClass('disable_row');
	}	
});


/*ajex call for general tab form save*/	
jQuery(document).on("click", "#wclp_setting_tab_form .wclp-save", function(){
	"use strict";
	jQuery(this).parent().find(".spinner").addClass("active");
	var form = jQuery('#wclp_setting_tab_form');
	jQuery.ajax({
		url: ajaxurl,//csv_workflow_update,		
		data: form.serialize() + '&nonce=' + alp_object.nonce,
		type: 'POST',
		dataType:"json",	
		success: function(response) {
			if( response.success === "true" ){
				jQuery("#wclp_setting_tab_form .spinner").removeClass("active");
				jQuery(document).alp_snackbar( "Settings Successfully Saved." );
			} else {
				if( response.permission === "false" ){
					jQuery("#wclp_setting_tab_form .spinner").removeClass("active");
					jQuery(document).alp_snackbar_warning( "you don't have permission to save settings." );
				}
			}
		},
		error: function(response) {
			console.log(response);			
		}
	});
	return false;
});

/*ajex call for checkout tab form save*/	
jQuery(document).on("click", "#wclp_checkout_tab_form .wclp-save", function(){
	"use strict";
	jQuery(this).parent().find(".spinner").addClass("active");
	var form = jQuery('#wclp_checkout_tab_form');
	jQuery.ajax({
		url: ajaxurl,//csv_workflow_update,		
		data: form.serialize() + '&nonce=' + alp_object.nonce,
		type: 'POST',
		dataType:"json",	
		success: function(response) {
			if( response.success === "true" ){
				jQuery("#wclp_checkout_tab_form .spinner").removeClass("active");
				jQuery(document).alp_snackbar( "Settings Successfully Saved." );
			} else {
				//show error on front
			}
		},
		error: function(response) {
			console.log(response);			
		}
	});
	return false;
});

/*ajex call for catalog tab form save*/	
jQuery(document).on("click", "#wclp_catalog_tab_form .wclp-save", function(){
	"use strict";
	jQuery(this).parent().find(".spinner").addClass("active");
	var form = jQuery('#wclp_catalog_tab_form');
	jQuery.ajax({
		url: ajaxurl,//csv_workflow_update,		
		data: form.serialize() + '&nonce=' + alp_object.nonce,
		type: 'POST',
		dataType:"json",	
		success: function(response) {
			if( response.success === "true" ){
				jQuery("#wclp_catalog_tab_form .spinner").removeClass("active");
				jQuery(document).alp_snackbar( "Settings Successfully Saved." );
			} else {
				//show error on front
			}
		},
		error: function(response) {
			console.log(response);			
		}
	});
	return false;
});

jQuery(document).on("click", ".send_email_label input[type=checkbox]", function(){	
	save_custom_order_status();
});

jQuery(document).on("click", "#wclp_osm_tab_form .order-status-table .order_status_toggle", function(){	
	save_custom_order_status();
});

jQuery(document).on("click", "#wclp_status_processing_lp", function(){
	if(jQuery(this).prop("checked") == true){
        jQuery(this).closest('tr').removeClass('disable_row');				
    } else{
		jQuery(this).closest('tr').addClass('disable_row');
	}	
});

jQuery(document).on("click", "#wclp_status_ready_pickup", function(){
	if(jQuery(this).prop("checked") == true){
        jQuery(this).closest('tr').removeClass('disable_row');				
    } else{
		jQuery(this).closest('tr').addClass('disable_row');
	}	
});

jQuery(document).on("click", "#wclp_status_picked_up", function(){
	if(jQuery(this).prop("checked") == true){
        jQuery(this).closest('tr').removeClass('disable_row');				
    } else{
		jQuery(this).closest('tr').addClass('disable_row');
	}	
});

function save_custom_order_status(){
	jQuery("#wclp_osm_tab_form .order-status-table").block({
		message: null,
		overlayCSS: {
			background: "#fff",
			opacity: .6
		}	
    });
	var form = jQuery('#wclp_osm_tab_form');
	jQuery.ajax({
		url: ajaxurl,//csv_workflow_update,		
		data: form.serialize() + '&nonce=' + alp_object.nonce,
		type: 'POST',
		dataType:"json",	
		success: function(response) {
			jQuery("#wclp_osm_tab_form .order-status-table").unblock();		
			if( response.success === "true" ){
				jQuery("#wclp_osm_tab_form .spinner").removeClass("active");
				jQuery(document).alp_snackbar( "Settings Successfully Saved." );
			} else {
				//show error on front
			}
		},
		error: function(response) {
			console.log(response);			
		}
	});
	return false;
}


/*ajex call for general tab form save*/	
/*jQuery(document).on("change", "#wclp_enable_appt", function(){
	
	"use strict";

	var form = jQuery('#wclp_location_tab_form');
	jQuery.ajax({
		url: ajaxurl,
		data: form.serialize(),
		type: 'POST',
		dataType:"json",	
		success: function(response) {
			if( response.success === "true" ){
				jQuery(document).alp_snackbar( "Settings Successfully Saved." );
				jQuery('.alp_error_msg').remove();
				window.history.pushState("object or string", alp_object.admin_url, "admin.php?page=local_pickup&tab=locations&section=edit&id="+response.id);
				jQuery("#location_id").val(response.id);
				wclp_update_edit_location_form();
				//jQuery('.accordion.heading.address-special').trigger('click');
			} else {
				if( response.permission === "false" ){
					jQuery(document).alp_snackbar_warning( "you don't have permission to save settings." );
				}
			}
			jQuery('.accordion.heading.address-special').trigger('click');
		},
		error: function(response) {
			console.log(response);			
		}
	});

	return false;
});*/

/*ajex call for general tab form save*/	
jQuery(document).on("click", "#wclp_location_tab_form .btn_location_submit", function(){
	"use strict";
	
	jQuery(".alp_error_msg").hide();
	var validation = true;
	var days = [ 'saturday', 'friday', 'thursday', 'wednesday', 'tuesday', 'monday', 'sunday' ];		
	for ( var i = 0, l = days.length; i < l; i++ ) {		
		
		jQuery('select[name="wclp_store_days['+days[ i ]+'][wclp_store_hour]"]').css('border-color','#ddd');
		jQuery('select[name="wclp_store_days['+days[ i ]+'][wclp_store_hour_end]"]').css('border-color','#ddd');
		jQuery('#'+days[ i ]).parent().parent().parent().css('border-color','');
		
		if(jQuery('#'+days[ i ]).prop("checked") == true){
			var wclp_store_hour = jQuery('select[name="wclp_store_days['+days[ i ]+'][wclp_store_hour]"] option:selected').val();
			var wclp_store_hour_end = jQuery('select[name="wclp_store_days['+days[ i ]+'][wclp_store_hour_end]"] option:selected').val();
			
			if(wclp_store_hour == ''){
				jQuery('#'+days[ i ]).parent().parent().parent().css('border-color','red');
				jQuery(".location-setting .accordion.heading.business-hours").trigger("click");	
				jQuery('select[name="wclp_store_days['+days[ i ]+'][wclp_store_hour]"]').css('border-color','red');
				jQuery('.alp_error_msg').show();
				validation=false;
			}
			if(wclp_store_hour_end == ''){
				jQuery('#'+days[ i ]).parent().parent().parent().css('border-color','red');
				jQuery(".location-setting .accordion.heading.business-hours").trigger("click");	
				jQuery('select[name="wclp_store_days['+days[ i ]+'][wclp_store_hour_end]"]').css('border-color','red');
				jQuery('.alp_error_msg').show();
				validation=false;
			}
			if(wclp_store_hour != '' && wclp_store_hour_end != ''){
				var st = minFromMidnight(wclp_store_hour);
				var et = minFromMidnight(wclp_store_hour_end);
				if(st>=et){
					jQuery('#'+days[ i ]).parent().parent().parent().css('border-color','red');
					jQuery(".location-setting .accordion.heading.business-hours").trigger("click");	
					jQuery('select[name="wclp_store_days['+days[ i ]+'][wclp_store_hour]"]').css('border-color','red');
					jQuery('select[name="wclp_store_days['+days[ i ]+'][wclp_store_hour_end]"]').css('border-color','red');
					jQuery('.alp_error_msg').show();
					validation=false;
				}
			}
		}
	}
	
	/*for appt days*/
	for ( var j = 0, k = days.length; j < k; j++ ) {		
		
		jQuery('select[name="wclp_store_appt_days['+days[ j ]+'][wclp_store_hour]"]').css('border-color','#ddd');
		jQuery('select[name="wclp_store_appt_days['+days[ j ]+'][wclp_store_hour_end]"]').css('border-color','#ddd');
		jQuery('#'+days[ j ]+'-appt').parent().parent().parent().css('border-color','');
		
		if(jQuery('#'+days[ j ]+'-appt').prop("checked") == true){
			var wclp_store_appt_hour = jQuery('select[name="wclp_store_appt_days['+days[ j ]+'][wclp_store_hour]"] option:selected').val();
			var wclp_store_appt_hour_end = jQuery('select[name="wclp_store_appt_days['+days[ j ]+'][wclp_store_hour_end]"] option:selected').val();
			
			if(wclp_store_appt_hour === ''){
				jQuery('#'+days[ j ]+'-appt').parent().parent().parent().css('border-color','red');
				jQuery(".location-setting .accordion.heading.appointments").trigger("click");	
				jQuery('select[name="wclp_store_appt_days['+days[ j ]+'][wclp_store_hour]"]').css('border-color','red');
				jQuery('.alp_error_msg').show();
				validation=false;
			}
			if(wclp_store_appt_hour_end === ''){
				jQuery('#'+days[ j ]+'-appt').parent().parent().parent().css('border-color','red');
				jQuery(".location-setting .accordion.heading.appointments").trigger("click");	
				jQuery('select[name="wclp_store_appt_days['+days[ j ]+'][wclp_store_hour_end]"]').css('border-color','red');
				jQuery('.alp_error_msg').show();
				validation=false;
			}
			if(wclp_store_appt_hour !== '' && wclp_store_appt_hour_end !== ''){
				var appt_st = minFromMidnight(wclp_store_appt_hour);
				var appt_et = minFromMidnight(wclp_store_appt_hour_end);
				if(appt_st>=appt_et){
					jQuery('#'+days[ j ]+'-appt').parent().parent().parent().css('border-color','red');
					jQuery(".location-setting .accordion.heading.appointments").trigger("click");	
					jQuery('select[name="wclp_store_appt_days['+days[ j ]+'][wclp_store_hour]"]').css('border-color','red');
					jQuery('select[name="wclp_store_appt_days['+days[ j ]+'][wclp_store_hour_end]"]').css('border-color','red');
					jQuery('.alp_error_msg').show();
					validation=false;
				}
			}
		}
	}
	 
	var location_name = jQuery('#wclp_store_name').val();
	if(location_name.trim() === ''){
		if(!jQuery('.address-special').hasClass('active')){
			jQuery('.address-special').trigger('click');
		}		
		jQuery('#wclp_store_name').css('border-color','red');
		jQuery('#wclp_store_name').css('display','block');
		jQuery('.alp_error_msg').show();
		validation=false;
	} else {
		jQuery('#wclp_store_name').css('border-color','');
	}

	if(validation === true){
		jQuery("#wclp_location_tab_form .spinner").addClass("active");
		var form = jQuery('#wclp_location_tab_form');
		jQuery.ajax({
			url: ajaxurl,
			data: form.serialize() + '&nonce=' + alp_object.nonce,
			type: 'POST',
			dataType:"json",	
			success: function(response) {
				if( response.success === "fail" ){
					jQuery("#wclp_location_tab_form .spinner").removeClass("active");
					jQuery('#wclp_location_tab_form .spinner').after('<div class="alp_error_msg">'+response.msg+'</div>');
					jQuery('.alp_error_msg').show();
				}
				if( response.success === "true" ){
					jQuery('.alp_error_msg').remove();
					jQuery("#wclp_location_tab_form .spinner").removeClass("active");
					jQuery(document).alp_snackbar( "Settings Successfully Saved." );
					window.history.pushState("object or string", alp_object.admin_url, "admin.php?page=local_pickup&tab=locations&section=edit&id="+response.id);
					jQuery("#location_id").val(response.id);
					jQuery(".accordion.heading").removeClass('active');
					jQuery('.accordion').next('.panel').removeClass('active').slideUp("slow");
					jQuery('.accordion').css('cursor', '');
					jQuery('.accordion').find('span.wclp-btn').hide();
					jQuery('.accordion').find('label span.dashicons').addClass('dashicons-arrow-right-alt2');
					jQuery('.accordion').find('label').css('color','');
					wclp_update_edit_location_form();
					//location.reload();
				} else {
					if( response.permission === "false" ){
						jQuery("#wclp_location_tab_form .spinner").removeClass("active");
						jQuery(document).alp_snackbar_warning( "you don't have permission to save settings." );
					}
				}
			},
			error: function(response) {
				console.log(response);			
			}
		});
	}
	return false;
});

function minFromMidnight(tm){
	"use strict";
	if(tm){
		var ampm= tm.substr(-2);
		var clk = tm.substr(0, 5);
		var m  = parseInt(clk.match(/\d+$/)[0], 10);
		var h  = parseInt(clk.match(/^\d+/)[0], 10);
		h += (ampm.match(/pm/i))? 12: 0;
		return h*60+m;
	}
}

jQuery(document).on("click", ".wclp_tab_input", function(){
	"use strict";
	var tab = jQuery(this).data('tab');
	
	var label = jQuery(this).data('label');
	jQuery('.zorem-layout__header-breadcrumbs .header-breadcrumbs-last').text(label);
	var url = window.location.protocol + "//" + window.location.host + window.location.pathname+"?page=local_pickup&tab="+tab;
	window.history.pushState({path:url},'',url);	
});

jQuery(document).on("click", ".inner_tab_input", function(){
	var tab = jQuery('input[name="tabs"]:checked').data('tab');
	var subtab = jQuery(this).data('subtab');
	if( subtab !== undefined){
		var url = window.location.protocol + "//" + window.location.host + window.location.pathname+"?page=local_pickup&tab="+tab+"&subtab="+subtab;
	}
	
	window.history.pushState({path:url},'',url);	
});

jQuery(document).on("click", ".pickup_days_checkbox", function(){
	"use strict";
	if(jQuery(this).prop("checked") === true){
		jQuery(this).closest('.wplp_pickup_duration').find('.wclp_pickup_time_fieldset span.hours').addClass('hours-time');
		jQuery(this).closest('.wplp_pickup_duration').find('.wclp_pickup_time_fieldset').prop('disabled', false);
	} else{
		jQuery(this).closest('.wplp_pickup_duration').find('.wclp_pickup_time_fieldset span.hours').removeClass('hours-time');
		jQuery(this).closest('.wplp_pickup_duration').find('.wclp_pickup_time_fieldset').prop('disabled', 'disabled');
	}
});
jQuery(document).ready(function(){
	"use strict";
	var pickup_days_checkbox = jQuery('.pickup_days_checkbox');
	jQuery(pickup_days_checkbox).each(function(){		
		if(jQuery(this).prop("checked") === true){
			jQuery(this).closest('.wplp_pickup_duration').find('.wclp_pickup_time_fieldset span.hours').addClass('hours-time');
			jQuery(this).closest('.wplp_pickup_duration').find('.wclp_pickup_time_fieldset').prop('disabled', false);
		} else{
			jQuery(this).closest('.wplp_pickup_duration').find('.wclp_pickup_time_fieldset span.hours').removeClass('hours-time');
			jQuery(this).closest('.wplp_pickup_duration').find('.wclp_pickup_time_fieldset').prop('disabled', 'disabled');
		}
	});
});

/*ajex call for general tab form save*/	
jQuery(document).on("change", ".wclp_location_enable", function(){

	"use strict";
	var id = jQuery(this).data("id");
	var value = jQuery(this).prop('checked');

	if ( value == true ) {
		jQuery(this).parent().parent().removeClass('inactive');
		jQuery(this).parent().parent().addClass('active');
	}
	
	if ( value == false ) {
		jQuery(this).parent().parent().addClass('inactive');
		jQuery(this).parent().parent().removeClass('active');
	}
	
	var data = {
		action: 'wclp_location_enable',
		id: id,
		check: value,
		nonce: alp_object.nonce,
	};
	var This = jQuery(this);	
	jQuery.ajax({
		url: ajaxurl,
		data: data,
		type: 'POST',
		dataType:"json",	
		success: function(response) {
			if( response.success === "true" ){
				var store_name = This.parents(".single-location").find(".location-title").text();
				if ( value == true ) {
					jQuery(document).alp_snackbar( store_name + " is active" );
				} else {
					jQuery(document).alp_snackbar( store_name + " is deactive" );
				}
			} else {
				//show error on front
			}		
		},
		error: function(response) {
			console.log(response);			
		}
	});
	return false;
});

/*ajex call for general tab form save*/	
jQuery(document).on("click", ".location-duplicate", function(){
	"use strict";
	
	var country = jQuery(this).val();
	var data = {
		action: 'wclp_location_duplicate',
		id: jQuery(this).attr('id'),
		nonce: alp_object.nonce,
	};		
	if(confirm("Are you sure you want to duplicate this location?")){
		jQuery.ajax({
			url: ajaxurl,
			data: data,
			type: 'POST',
			dataType:"json",	
			success: function(response) {
				if( response.success === "true" ){
					location.reload();
				}
				if( response.permission === "false" ){
					jQuery(document).alp_snackbar_warning( "you don't have permission to save settings." );
				}
			},
			error: function(response) {
				console.log(response);			
			}
		});
		return false;
	}
});

/*ajex call for general tab form save*/	
jQuery(document).on("change", "#wclp_default_single_country", function(){
	"use strict";
	
	var country = jQuery(this).val();
	var data = {
		action: 'wclp_update_state_dropdown',
		country: country,
		nonce: alp_object.nonce,
	};		
	
	jQuery.ajax({
		url: ajaxurl,
		data: data,
		type: 'POST',
		dataType:"json",	
		success: function(response) {
			if(response.state !== 'empty'){
				jQuery('#wclp_default_single_state').empty().append(response.state);				
				jQuery("#wclp_default_single_state").closest('tr').show();
			} else{
				jQuery('#wclp_default_single_state').empty();
				jQuery("#wclp_default_single_state").closest('tr').hide();
			}			
		},
		error: function(response) {
			console.log(response);			
		}
	});
	return false;
});

jQuery( document ).on( "click", ".next-btn, .prev-btn", function() {
	"use strict";
	if( jQuery(this).hasClass('next-btn') === true ) {
		jQuery(this).parents('.calendar_view_table').hide();
		jQuery(this).parents('.calendar_view_table').next('.calendar_view_table').show();
		jQuery(this).parents('.calendar_view_table').hide();
	} else {
		jQuery(this).parents('.calendar_view_table').prev('.calendar_view_table').show();
		jQuery(this).parents('.calendar_view_table').hide();
	}
});

function wclp_update_edit_location_form(){
	"use strict";
	var getUrlParameter = function getUrlParameter(sParam) {
		var sPageURL = window.location.search.substring(1),
			sURLVariables = sPageURL.split('&'),
			sParameterName,
			i;

		for (i = 0; i < sURLVariables.length; i++) {
			sParameterName = sURLVariables[i].split('=');

			if (sParameterName[0] === sParam) {
				return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
			}
		}
	};
	
	var This = jQuery(this);
	var id = getUrlParameter('id');
	var data = {
		action: 'wclp_update_edit_location_form',
		id: id,
		nonce: alp_object.nonce,
	};		
	
	jQuery.ajax({
		url: ajaxurl,
		data: data,
		type: 'POST',
		dataType:"json",	
		success: function(response) {
			if(response.edit_location_form){
				jQuery(".pickup-location-setting").replaceWith(response.edit_location_form);
				jQuery(".wclp_pickup_time_select").select2();
				jQuery("#wclp_selected_products, #wclp_excluded_products, #wclp_selected_categories, #wclp_excluded_categories, #wclp_excluded_shippings, #wclp_excluded_payments").select2();
				jQuery('#wclp_store_public_holidays').multiDatesPicker({
					showButtonPanel: true,
					dateFormat: 'dd/mm/yy',
					changeMonth: true,
					changeYear: true,
					position: 'bottom'
				});
			}	
		},
		error: function(response) {
			console.log(response);			
		}
	});
	return false;
}

jQuery(document).on("click", ".wclp-apply", function(){
	"use strict";
	jQuery(".alp_error_msg").remove();
	var hour_format = jQuery("#wclp_default_time_format").val();
	var getUrlParameter = function getUrlParameter(sParam) {
		var sPageURL = window.location.search.substring(1),
			sURLVariables = sPageURL.split('&'),
			sParameterName,
			i;

		for (i = 0; i < sURLVariables.length; i++) {
			sParameterName = sURLVariables[i].split('=');

			if (sParameterName[0] === sParam) {
				return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
			}
		}
	};
	
	var validation = true;
	var hasClassMorning = jQuery(this).parent().find(".morning-time").hasClass("hide-select-box");
	var hasClassAfternoon = jQuery(this).parent().find(".afternoon-time").hasClass("hide-select-box");
	var wclp_store_hour = jQuery(this).parent().find(".start");
	var wclp_store_hour_end = jQuery(this).parent().find(".end");
	var wclp_store_hour2 = jQuery(this).parent().find(".start2");
	var wclp_store_hour_end2 = jQuery(this).parent().find(".end2");
	
	var days = [];
	var day = jQuery(this).val();
	days.push(day);
	jQuery("input[name=weekday-"+jQuery(this).val()+"]:checked").each(function(){
		if(jQuery(this).val() !== day){
			days.push(jQuery(this).val());
		}
	});
	

	var data = {
		action: 'wclp_apply_work_hours',
		hour_format: hour_format,
		id: getUrlParameter('id'),
		days: days,
		wclp_store_hour: wclp_store_hour.val(),
		wclp_store_hour_end: wclp_store_hour_end.val(),
		wclp_store_hour2: wclp_store_hour2.val(),
		wclp_store_hour_end2: wclp_store_hour_end2.val(),
		security: jQuery("#wclp_apply_work_hours_nonce").val(), //alp_object.nonce,
	};
	if(wclp_store_hour.val() !== '' && wclp_store_hour_end.val() !== '' && hasClassMorning === false ){
		var st1 = minFromMidnight(wclp_store_hour.val());
		var et1 = minFromMidnight(wclp_store_hour_end.val());
		if(st1>=et1){
			jQuery(wclp_store_hour).next(".select2").find(".select2-selection--single").css('border-color','red');
			jQuery(wclp_store_hour_end).next(".select2").find(".select2-selection--single").css('border-color','red');
			jQuery(this).after('<div class="alp_error_msg">End time must be greater than start time');
			jQuery('.alp_error_msg').show();
			validation=false;
		}
	}
	
	if( wclp_store_hour_end.val() !== '' && wclp_store_hour2.val() !== '' && hasClassAfternoon === false ){
		var st = minFromMidnight(wclp_store_hour_end.val());
		var et = minFromMidnight(wclp_store_hour2.val());
		if( st>=et){
			jQuery(wclp_store_hour_end).next(".select2").find(".select2-selection--single").css('border-color','red');
			jQuery(wclp_store_hour2).next(".select2").find(".select2-selection--single").css('border-color','red');
			jQuery(this).after('<div class="alp_error_msg">Start split time must be greater than end time');
			jQuery('.alp_error_msg').show();
			validation=false;
		}
	}
	if(wclp_store_hour2.val() && wclp_store_hour_end2.val() && hasClassAfternoon === false){
		var st2 = minFromMidnight(wclp_store_hour2.val());
		var et2 = minFromMidnight(wclp_store_hour_end2.val());
		if(st2>=et2){
			jQuery(wclp_store_hour2).next(".select2").find(".select2-selection--single").css('border-color','red');
			jQuery(wclp_store_hour_end2).next(".select2").find(".select2-selection--single").css('border-color','red');
			jQuery(this).after('<div class="alp_error_msg">End time must be greater than start interval time');
			jQuery('.alp_error_msg').show();
			validation=false;
		}
	}
	
	if(validation === true){
		jQuery('.alp-hours-popup').hide();
		jQuery(".location-setting .panel.business-hours").block({
			message: null,
			overlayCSS: {
				background: "#fff",
				opacity: 0.6
			}	
		});	
		jQuery.ajax({
			url: ajaxurl,
			data: data,
			type: 'POST',
			dataType:"json",	
			success: function(response) {
				if(response.business_hours_options){
					jQuery(".options.business-hours .form-table").replaceWith(response.business_hours_options);
					jQuery(".location-setting .panel.business-hours").unblock();
				}
			},
			error: function(response) {
				console.log(response);			
			}
		});
	}
	return false;
});

/*appt hours apply*/
jQuery(document).on("click", ".wclp-appt-apply, .wclp-appt-days-apply", function(){
	"use strict";
	jQuery(".alp_error_msg").remove();
	var $popup = jQuery(this).parents("#appt_hours_popup_html");
		
	var getUrlParameter = function getUrlParameter(sParam) {
		var sPageURL = window.location.search.substring(1),
			sURLVariables = sPageURL.split('&'),
			sParameterName,
			i;

		for (i = 0; i < sURLVariables.length; i++) {
			sParameterName = sURLVariables[i].split('=');

			if (sParameterName[0] === sParam) {
				return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
			}
		}
	};
	
	var validation = true;
	var hasClassMorning = jQuery(this).parent().find(".morning-time").hasClass("hide-select-box");
	var hasClassAfternoon = jQuery(this).parent().find(".afternoon-time").hasClass("hide-select-box");
	var wclp_store_hour = jQuery(this).parent().find(".start");
	var wclp_store_hour_end = jQuery(this).parent().find(".end");
	var wclp_store_hour2 = jQuery(this).parent().find(".start2");
	var wclp_store_hour_end2 = jQuery(this).parent().find(".end2");
	
	if( jQuery(this).hasClass('wclp-appt-days-apply') === true ) {
		var date = '';
	} else {
		var date = jQuery(this).data('date');
	}
	
	var day = jQuery(this).val();

	var data = {
		action: 'wclp_apply_appt_hours',
		id: getUrlParameter('id'),
		day: day,
		date: date,
		wclp_store_hour: wclp_store_hour.val(),
		wclp_store_hour_end: wclp_store_hour_end.val(),
		wclp_store_hour2: wclp_store_hour2.val(),
		wclp_store_hour_end2: wclp_store_hour_end2.val(),
		nonce: alp_object.nonce,
	};	
	
	if(wclp_store_hour.val() !== '' && wclp_store_hour_end.val() !== '' && hasClassMorning === false ){
		var st1 = minFromMidnight(wclp_store_hour.val());
		var et1 = minFromMidnight(wclp_store_hour_end.val());
		if(st1>=et1){
			jQuery(wclp_store_hour).next(".select2").find(".select2-selection--single").css('border-color','red');
			jQuery(wclp_store_hour_end).next(".select2").find(".select2-selection--single").css('border-color','red');
			jQuery(this).after('<div class="alp_error_msg">End time must be greater than start time');
			jQuery('.alp_error_msg').show();
			validation=false;
		}
	}
	
	if( wclp_store_hour_end.val() !== '' && wclp_store_hour2.val() !== '' && hasClassAfternoon === false ){
		var st = minFromMidnight(wclp_store_hour_end.val());
		var et = minFromMidnight(wclp_store_hour2.val());
		if( st>=et){
			jQuery(wclp_store_hour_end).next(".select2").find(".select2-selection--single").css('border-color','red');
			jQuery(wclp_store_hour2).next(".select2").find(".select2-selection--single").css('border-color','red');
			jQuery(this).after('<div class="alp_error_msg">Start split time must be greater than end time');
			jQuery('.alp_error_msg').show();
			validation=false;
		}
	}
	if(wclp_store_hour2.val() && wclp_store_hour_end2.val() && hasClassAfternoon === false){
		var st2 = minFromMidnight(wclp_store_hour2.val());
		var et2 = minFromMidnight(wclp_store_hour_end2.val());
		if(st2>=et2){
			jQuery(wclp_store_hour2).next(".select2").find(".select2-selection--single").css('border-color','red');
			jQuery(wclp_store_hour_end2).next(".select2").find(".select2-selection--single").css('border-color','red');
			jQuery(this).after('<div class="alp_error_msg">End time must be greater than start interval time');
			jQuery('.alp_error_msg').show();
			validation=false;
		}
	}
	
	if(validation === true){
		jQuery($popup).hide();
		jQuery(".calendar_view_table").block({
			message: null,
			overlayCSS: {
				background: "#fff",
				opacity: 0.6
			}	
		});	
		jQuery.ajax({
			url: ajaxurl,
			data: data,
			type: 'POST',
			dataType:"json",	
			success: function(response) {
				if(response.appointments_options){
					jQuery(".options.appointments .form-table").replaceWith(response.appointments_options);
					//jQuery(".appointments").trigger('click');
				}
			},
			error: function(response) {
				console.log(response);			
			}
		});
	}
	return false;
});

jQuery(document).on("click", ".hours-time", function(){	
	"use strict";
	jQuery(this).parent().find(".alp-hours-popup").show();
});
jQuery(document).on("click", ".appt.hours-time", function(){	
	"use strict";
	var $popup = jQuery(this).parent().find("#appt_hours_popup_html");
	$popup.show();
	
	var getUrlParameter = function getUrlParameter(sParam) {
		var sPageURL = window.location.search.substring(1),
			sURLVariables = sPageURL.split('&'),
			sParameterName,
			i;

		for (i = 0; i < sURLVariables.length; i++) {
			sParameterName = sURLVariables[i].split('=');

			if (sParameterName[0] === sParam) {
				return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
			}
		}
	};
		
	var data = {
		action: 'wclp_appt_hours_popup_html',
		id: getUrlParameter('id'),
		date: jQuery(this).data('date'),
		dayName: jQuery(this).data('dayname'),
		nonce: alp_object.nonce,
	};
	
	jQuery.ajax({
		url: ajaxurl,
		data: data,
		type: 'POST',
		dataType:"json",	
		success: function(response) {
			if(response.appt_hours_popup_html){
				jQuery($popup).replaceWith(response.appt_hours_popup_html);
				jQuery(".wclp_pickup_time_select").select2();
			}
				
		},
		error: function(response) {
			console.log(response);			
		}
	});
	return false;
});

jQuery(document).on("click", ".alp-apply-multiple", function(){	
	"use strict";
	jQuery(this).parent().find(".hours-popup").hide();
	jQuery(this).hide();
	jQuery(this).parent().find(".alp-hours-popup").hide();
	jQuery(this).parent().find(".apply-days-popup").show();
});
jQuery(document).on("click", ".alp-appt-apply-multiple", function(){	
	"use strict";
	jQuery(this).parent().find(".hours-popup").hide();
	jQuery(this).hide();
	jQuery(this).parent().find(".alp-hours-popup").hide();
	jQuery(this).parent().find(".apply-days-popup").show();
});
jQuery(document).on("click", ".back-popup", function(){	
	"use strict";
	jQuery(this).parent().parent().find(".alp-hours-popup").show();
	jQuery(this).parent().parent().find(".apply-days-popup").hide();
	jQuery(this).parent().parent().find(".hours-popup").show();
	jQuery(".alp-apply-multiple, .alp-appt-apply-multiple").show();
});
jQuery(document).on("click", ".popupclose, .popup_close_icon", function(){
	"use strict";
	jQuery('.alp-hours-popup').hide();
});

jQuery(document).on("click", ".alp-hours-popup .dashicons-trash", function(){
	"use strict";
	jQuery(this).parent().find("select").val("");
	jQuery(this).parent().find("select").select2();
});

 
 /*
 * PRO JS
 * @pro-js
 */
 jQuery(document).ready(function(){
	
	"use strict";
	jQuery('#add_default_country, #wclp_selected_products, #wclp_excluded_products, #wclp_selected_categories, #wclp_excluded_categories, #wclp_excluded_shippings, #wclp_excluded_payments').select2();
	
	jQuery("#wclp_appt_start_date").closest( "tr" ).next().hide();
	if( jQuery("#wclp_appt_start_date").val() === '1') {
		jQuery("#wclp_appt_start_date").closest( "tr" ).next().show();
	} 
	
	if( jQuery("#wclp_price_adjustment").val() !== 'percentage_discount') {
		jQuery("#wclp_price_adjustment").closest( "tr" ).css('border', '0').css('margin', '0');
		jQuery("#wclp_price_adjustment").closest( "tr" ).next().hide();
	} 
	if( jQuery("#wclp_price_adjustment").val() === 'percentage_discount') {
		jQuery("#wclp_price_adjustment").closest( "tr" ).next().show();
	}
	
	jQuery('.pickup-location-list form').sortable({
		handle: '.location-sort',
		axis: 'y',
		helper: function (e, ui) {
			ui.children().each(function () {
				jQuery(this).width(jQuery(this).width());
			});
			return ui;
		},
		stop: function () {
			var obj = {};
			jQuery( ".single-location" ).each(function( index ) {
			   jQuery(this).find('input').val(index);
			   obj[index] = jQuery(this).find('input').attr('id');
			});
			jQuery('.default-label').remove();
			jQuery(".pickup-location-list").block({
				message: null,
				overlayCSS: {
					background: "#fff",
					opacity: .6
				}	
			});
			var data = {
				action: 'wclp_choose_default_location_form_update',
				id: obj,
				nonce: alp_object.nonce,
			};	
			var This = jQuery(".single-location:first-child").find(".decoration");
			jQuery.ajax({
				url: ajaxurl,//csv_workflow_update,		
				data: data,
				type: 'POST',
				dataType:"json",	
				success: function(response) {
					if( response.success === "true" ){
						This.after('<span class="default-label">Default</span>');
						jQuery(".pickup-location-list").unblock();
					} else {
						//show error on front
						location.reload();
					}
				},
				error: function(response) {
					console.log(response);			
				}
			});
			return;
		},
	});
	
});

jQuery(document).on("submit",'#wclp-licence-form', function(e){
	e.preventDefault();
	var licence_form = jQuery(this);
	var action = licence_form.find(".licence_action").val();
	var data = licence_form.serialize();
	var licence_button = licence_form.find(".licence_submit");
	
	jQuery("#wclp-licence-form").block({
		message: null,
		overlayCSS: {
			background: "#fff",
			opacity: .6
		}	
    });
	
	jQuery.ajax({
		type: "POST",
		url : ajaxurl,
		data: data + '&nonce=' + alp_object.nonce,
		beforeSend: function(){
			licence_button.prop('disabled', true).val('...');
		},
		success : function(data){
			var btn_value = 'Deactivate';
			if( data.success === true ){
				if( action === 'alp_pro_license_activate' ){
					jQuery(licence_button).css('backgroundColor', '#395da4');
					jQuery(licence_button).css('color', '#fff');
					licence_form.find(".licence_action").val( 'alp_pro_license_deactivate' );
					jQuery("#wclp-licence-form").unblock();
					location.reload();
				} else {
					jQuery('a.deactivate').hide();
					licence_form.find(".licence_action").val( 'alp_pro_license_activate' );
					licence_form.find("#license_key").val( '' );
					jQuery("#wclp-licence-form").unblock();
					location.reload();
				}
			} else if( data.success === false ){
				jQuery('a.deactivate').html('<span style="color:red;line-height:2;">' + data.error  + '</span>');
			} else {
				jQuery('a.deactivate').html('<span style="color:red;line-height:2;">'+data.message+'</span>');//'+data.message+'
			}
			
			//licence_button.prop('disabled', false).val(btn_value);
		},
		error: function(data){
			console.log(data);
		}
	});
	
});

jQuery(document).on("click", ".add-interval", function(){
	"use strict";
	var hasclass = jQuery(this).parent().find(".morning-time").hasClass("hide-select-box");
	if(hasclass === true){
		jQuery(this).parent().find(".morning-time").removeClass('hide-select-box');
	}
	if(hasclass === false){
		jQuery(this).parent().find(".afternoon-time").removeClass('hide-select-box');
		jQuery(this).hide();
	}
});
jQuery(document).on("click", ".wclp_pickup_time_fieldset .dashicons-trash", function(){
	"use strict";
	jQuery(this).parent().parent().find(".add-interval").show();
	jQuery(this).parent().addClass('hide-select-box');
	jQuery(this).parent().find("select").val("");
	jQuery(this).parent().find("select").select2();
});

/*ajex call for general tab form save*/	
/*jQuery(document).on("change", "#wclp_choose_default_location_form input", function(){
	"use strict";
	jQuery('.default-label').remove();
	jQuery(".pickup-location-list").block({
		message: null,
		overlayCSS: {
			background: "#fff",
			opacity: .6
		}	
    });
	var This = jQuery(this).next();
	var form = jQuery('#wclp_choose_default_location_form');
	jQuery.ajax({
		url: ajaxurl,//csv_workflow_update,		
		data: form.serialize(),
		type: 'POST',
		dataType:"json",	
		success: function(response) {
			This.after('<span class="default-label">Default</span>');
			jQuery(".pickup-location-list").unblock();		
			if( response.success === "true" ){
				//show error on front
			} else {
				//show error on front
			}
		},
		error: function(response) {
			console.log(response);			
		}
	});
	return false;
});*/

/*ajex call for general tab form save*/	
jQuery(document).on("click", ".location-delete", function(){
	if(confirm("Are you sure you want to delete this location?")){
		"use strict";
		jQuery(".pickup-location-list").block({
			message: null,
			overlayCSS: {
				background: "#fff",
				opacity: .6
			}	
		});
		var id = jQuery(this).attr("id");
		var data = {
			action: 'wclp_location_delete',
			id: id,
			nonce: alp_object.nonce,
		};		
		jQuery.ajax({
			url: ajaxurl,
			data: data,
			type: 'POST',
			dataType:"json",	
			success: function(response) {
				jQuery(".pickup-location-list").unblock();		
				if( response.success === "true" ){
					window.history.pushState("object or string", alp_object.admin_url, "admin.php?page=local_pickup&tab=locations");
					location.reload();
				} else {
					//show error on front
				}		
			},
			error: function(response) {
				console.log(response);			
			}
		});
		return false;
	}
});

jQuery(document).on("change", "#wclp_price_adjustment", function(){
	var val = jQuery(this).val();
	if(val !== 'percentage_discount') {
		jQuery(this).closest( "tr" ).css('border', '0').css('margin', '0');
		jQuery(this).closest( "tr" ).next().hide();
	} else {
		jQuery(this).closest( "tr" ).css('border', '').css('margin', '0');
		jQuery(this).closest( "tr" ).next().show();
	}
});

jQuery(document).on("click", "#wclp_appt_start_date", function(){
	if( jQuery(this).prop("checked") == true ) {
		jQuery(this).closest( "tr" ).next().show();
	} else {
		jQuery(this).closest( "tr" ).next().hide();
	}
});
