
<section id="local_pcikup_orders_content" class="tab_section">
	<div class="accordion_container fulfillment_table_container">
	<input type="hidden" id="alp_nonce_fullfillment_dashbaord" value="<?php esc_html_e( wp_create_nonce( 'alp_nonce_fullfillment_dashbaord' ) ); ?>">
	<?php
	$defualt_status = array( 'wc-processing', 'wc-ready-pickup', 'wc-pickup' );
	$order_status = get_option( 'alp_order_display_in_fulfillment_dashboard' , $defualt_status);
	$order_status = !empty($order_status) ? $order_status : $defualt_status;
	?>
	<p class="fulfillment_filter_box">
		<select class="fulfillment_filter_select" id="alp_fulfillment_bulk_action" name="alp_fulfillment_bulk_action">
			<option value=""><?php esc_html_e('Bulk actions', 'advanced-local-pickup-pro'); ?></option>
			<?php foreach ($order_status as $slug) { ?>
				<option value="<?php esc_html_e(substr($slug, 3)); ?>"><?php esc_html_e( 'Change status to ' . wc_get_order_status_name( $slug ), 'advanced-local-pickup-pro'); ?></option>
			<?php } ?>
		</select>
		<button type="button" id="doaction" class="fulfillment_bulk button action" >Apply</button>

		<select class="fulfillment_filter_select" id="alp_fulfillment_filter" name="alp_fulfillment_filter">
			<option value=""><?php esc_html_e('All Orders', 'advanced-local-pickup-pro'); ?></option>
			<?php foreach ($order_status as $slug) { ?>
				<option value="<?php esc_html_e($slug); ?>"><?php esc_html_e( wc_get_order_status_name( $slug ), 'advanced-local-pickup-pro'); ?></option>
			<?php } ?>
		</select>

		<select class="fulfillment_filter_select" id="alp_fulfillment_filter_by_location" name="alp_fulfillment_filter_by_location">
			<option value=""><?php esc_html_e('All Locations', 'advanced-local-pickup-pro'); ?></option>
			<?php
			$locations = alp_pro_addon()->admin->get_data();
			foreach ( $locations as $location ) {
				$store_id = !empty($location->id) ? $location->id : '';
				$store_name = !empty($location->store_name) ? $location->store_name : 'Unknown Store';
				?>
				<option value="<?php esc_html_e($store_id); ?>"><?php esc_html_e( $store_name, 'advanced-local-pickup-pro' ); ?></option>
				<?php
			}
			?>
		</select>

		<select class="fulfillment_filter_select" id="alp_fulfillment_filter_by_appointment" name="alp_fulfillment_filter_by_appointment">
			<option value=""><?php esc_html_e('Appointment Date', 'advanced-local-pickup-pro'); ?></option>
			<?php
			$args = array(
				'status'	=> $order_status,
				'limit'		=> -1,
				'return' => 'ids',
			);
			
			$orders = wc_get_orders( $args );
			if ( $orders ) {
				foreach ( $orders as $order_id ) {
					$pickup_data = alp_pro_addon()->admin->get_pickup_data($order_id);
					
					foreach ( $pickup_data as $val) {
						if ( isset($val['date']) && !empty($val['date']) ) {
							$date = date_create($val['date']);
							$date_array[date_format( $date, 'd-m-Y' )] = date_format( $date, 'F j, Y' );
						}
					}
				}
			}
			if ( $date_array ) {
				foreach ( $date_array as $key => $date ) {
					echo '<option value="' . esc_html( $key ) . '">' . esc_html( $date ) . '</option>';
				}
			}
			
			?>
		</select>

		<input type="search" id="alp_fulfillment_search_input" class="fulfillment_search_input" name="alp_fulfillment_search_input" value="" placeholder="Search orders">
		<button type="button" id="alp_fulfillment_search_submit" class="button alp_fulfillment_search_submit"><span class="dashicons dashicons-search"></span></button>
	</p>

	<input type="hidden" name="alp_unfulfilled_order_status" id="alp_unfulfilled_order_status" value="all">
	<table class="widefat fixed fullfilments_table hover" cellspacing="0" id="alp_fullfilments_table" style="width: 100%;">
		<thead>
			<tr>
				<th id="columnname" class="manage-column column-columnname" scope="col"><input id="checkAll" type="checkbox" style="padding: 8px 18px;margin: 5px 0;"></th>
				<th id="columnname" class="manage-column column-columnname" scope="col"><?php esc_html_e('Order Date', 'advanced-local-pickup-pro'); ?></th>
				<th id="columnname" class="manage-column column-columnname" scope="col"><?php esc_html_e('Order', 'woocommerce'); ?></th>							
				<th id="columnname" class="manage-column column-columnname" scope="col"><?php esc_html_e('Status', 'advanced-local-pickup-pro'); ?></th>
				<th id="columnname" class="manage-column column-columnname" scope="col"></th>			
				<th id="columnname" class="manage-column column-destination" scope="col"><?php esc_html_e('Customer', 'advanced-local-pickup-pro'); ?></th>	
				<th id="columnname" class="manage-column column-columnname" scope="col"><?php esc_html_e('Items', 'advanced-local-pickup-pro'); ?></th>	
				<th id="columnname" class="manage-column column-columnname" scope="col"><?php esc_html_e('Pickup Location', 'advanced-local-pickup-pro'); ?></th>			
				<th id="columnname" class="manage-column column-columnname" scope="col"><?php esc_html_e('Appointment Dates', 'advanced-local-pickup-pro'); ?></th>
				<th id="columnname" class="manage-column column-columnname" scope="col"><?php esc_html_e('Actions', 'advanced-local-pickup-pro'); ?></th>
			</tr>
		</thead>
		<tbody></tbody>				
	</table>
	</div>
</section>
