<table class="form-table">
	<tbody>
		<input type="hidden" id="location_id" name="id" value="<?php echo esc_attr($location_id); ?>">
		<tr valign="top">
			<th><label for=""><?php esc_html_e( 'Location name', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'The location name for your business location.', 'advanced-local-pickup-pro' ); ?>"></span></label></th>
			<td class="forminp">                                            
				<input class="input-text regular-input " type="text" name="wclp_store_name" id="wclp_store_name" style="" value="<?php isset( $location->store_name ) && !empty( $location->store_name ) ? esc_html_e( stripslashes( $location->store_name ) ) : esc_html_e( 'Location ' . ( count($locations)+1 ) ); ?>" placeholder="">
				<span class="alp_error_msg" style="display:none;"><?php esc_html_e( 'you must add location name and save to proceed', 'advanced-local-pickup-pro' ); ?></span>
			</td>
		</tr>
		<tr valign="top" class="">
			<th class="text-top">
				<label for=""><?php esc_html_e( 'Special instruction', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'The special instruction for your store.', 'advanced-local-pickup-pro' ); ?>" ></span></label>
			</th>
			<td class="forminp">
				<textarea rows="3" cols="20" class="input-text regular-input" type="textarea" name="wclp_store_instruction" id="wclp_store_instruction" style="" placeholder="<?php esc_html_e( 'Special Pickup instruction to your customers', 'advanced-local-pickup-pro' ); ?>"><?php echo ( isset( $location->store_instruction ) ) ? esc_html(stripslashes($location->store_instruction)) : ''; ?></textarea> 
			</td>
		</tr>
		<?php
		$Title = esc_html__( 'this option is disabled if the pickup per item is checked in the settings', 'advanced-local-pickup-pro' );
		?>
		<tr valign="top" class="">
			<td class="forminp">
				<span class="tgl-btn-parent" style="padding: 25px 0;">
					<input type="hidden" name="wclp_enable_appt" value="0">
					<input type="checkbox" id="wclp_enable_appt" name="wclp_enable_appt" class="tgl tgl-flat-alp" <?php echo ( isset( $location->store_enable_appt ) && '1' == $location->store_enable_appt ) ? 'checked' : ''; ?> value="1" style="margin: 5px;" >
					<label class="tgl-btn" for="wclp_enable_appt"></label>
				</span>
				<label><?php esc_html_e( 'Enable pickup appointments', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php echo esc_html($Title); ?>"></span></label>
			</td>
		</tr>
	</tbody>
</table>
