<table class="form-table">
	<?php
	$wclp_local_pickup_controls = get_option('wclp_local_pickup_controls');
	if ( isset($wclp_local_pickup_controls['allow_pickup_per_item']) && 1 == $wclp_local_pickup_controls['allow_pickup_per_item'] ) {
		$disabled = 'disabled';
	} else { 
		$disabled = ''; 
	}
	?>
	<tbody>
		<tr valign="top" class="">								
			<td style="">
				<div class="hours-block time-format">
					<label class="time-format" for=""><?php esc_html_e( 'Customers schedule pickup time', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'select the from when and how far in the future customers can schedule a pickup appointment.', 'advanced-local-pickup-pro' ); ?>"></span></label>
				</div>
				<div>
					<select class="select select2" id="wclp_appt_first_date" name="wclp_appt_first_date" style="width:auto;min-height: auto;line-height: 28px;">
						<?php for ($x = 1; $x <= 30; $x++) { ?>
							<option value="<?php esc_html_e($x); ?>" <?php echo ( isset( $location->store_appt_first_date) && $x == $location->store_appt_first_date ) ? 'selected' : ''; ?>><?php esc_html_e( $x, 'advanced-local-pickup-pro' ); ?></option>
						<?php } ?>
						<option value="<?php echo 60; ?>" <?php echo ( isset( $location->store_appt_first_date) && 60 == $location->store_appt_first_date ) ? 'selected' : ''; ?>><?php esc_html_e( 60, 'advanced-local-pickup-pro' ); ?></option>
						<option value="<?php echo 90; ?>" <?php echo ( isset( $location->store_appt_first_date) && 90 == $location->store_appt_first_date ) ? 'selected' : ''; ?>><?php esc_html_e( 90, 'advanced-local-pickup-pro' ); ?></option>
						<option value="<?php echo 120; ?>" <?php echo ( isset( $location->store_appt_first_date) && 120 == $location->store_appt_first_date ) ? 'selected' : ''; ?>><?php esc_html_e( 120, 'advanced-local-pickup-pro' ); ?></option>
					</select>
					<span style="margin:0 5px;vertical-align: middle;line-height:30px;"><?php esc_html_e( 'days to', 'advanced-local-pickup-pro' ); ?></span>
					<select class="select select2" id="wclp_appt_time_range" name="wclp_appt_time_range" style="width:auto;min-height: auto;line-height: 28px;">
						<?php for ($x = 1; $x <= 30; $x++) { ?>
							<option value="<?php esc_html_e($x); ?>" <?php echo ( isset( $location->store_appt_time_range) && $x == $location->store_appt_time_range ) ? 'selected' : ''; ?>><?php esc_html_e( $x, 'advanced-local-pickup-pro' ); ?></option>
						<?php } ?>
						<option value="<?php echo 60; ?>" <?php echo ( isset( $location->store_appt_time_range) && 60 == $location->store_appt_time_range ) ? 'selected' : ''; ?>><?php esc_html_e( 60, 'advanced-local-pickup-pro' ); ?></option>
						<option value="<?php echo 90; ?>" <?php echo ( isset( $location->store_appt_time_range) && 90 == $location->store_appt_time_range ) ? 'selected' : ''; ?>><?php esc_html_e( 90, 'advanced-local-pickup-pro' ); ?></option>
						<option value="<?php echo 120; ?>" <?php echo ( isset( $location->store_appt_time_range) && 120 == $location->store_appt_time_range ) ? 'selected' : ''; ?>><?php esc_html_e( 120, 'advanced-local-pickup-pro' ); ?></option>
					</select>
					<span style="margin:0 5px;vertical-align: middle;line-height:30px;"><?php esc_html_e( 'days into the future', 'advanced-local-pickup-pro' ); ?></span>
				</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="forminp" >                                            
				<label class="" for="wclp_appt_start_date">
					<input type="hidden" name="wclp_appt_start_date" value="0">
					<input type="checkbox" id="wclp_appt_start_date" name="wclp_appt_start_date" class="" <?php echo ( isset( $location->store_appt_start_date ) && '1' == $location->store_appt_start_date ) ? 'checked' : ''; ?> value="1">
					<span class="multiple_label" style="font-weight: 400;"><?php esc_html_e( 'Allow same day pickup', 'advanced-local-pickup-pro' ); ?></span>	
					<br>
				</label>
			</td>
		</tr>
		<?php 
		$send_time_array = array();										
		for ( $hour = 0; $hour < 24; $hour++ ) {
			for ( $min = 0; $min < 60; $min = $min + 30 ) {
				$this_time = gmdate( 'H:i', strtotime( "$hour:$min" ) );
				$send_time_array[ $this_time ] = $this_time;
			}	
		} 
		?>
		<tr valign="top" class="" <?php echo ( isset( $location->store_appt_start_date) && 1 != $location->store_appt_start_date ) ? 'style="display:none;"' : ''; ?>>								
			<td style="">
				<div class="hours-block time-format">
					<label class="time-format" for=""><?php esc_html_e( 'Latest order hour for same day pickup', 'advanced-local-pickup-pro' ); ?></label>
				</div>
				<div>
					<select class="select select2" id="wclp_appt_hour_same_day" name="wclp_appt_hour_same_day" style="width:auto;min-height: auto;line-height: 28px;">
						<?php foreach ( $send_time_array as $hour ) { ?>
							<option value="<?php echo esc_html($hour); ?>" <?php echo ( isset( $location->store_appt_hour_same_day) && $location->store_appt_hour_same_day == $hour ) ? 'selected' : ''; ?>><?php echo esc_html($hour); ?></option>
						<?php } ?>
					</select>
				</div>
			</td>
		</tr>
		<tr valign="top" class="">								
			<td style="">
				<div class="hours-block time-format">
					<label class="time-format" for=""><?php esc_html_e( 'Time slot intervals', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'Set the frequency of available pickup time slots', 'advanced-local-pickup-pro' ); ?>"></span></label>
				</div>
				<div>
				<?php
				$slotSetting = isset($location->store_appt_pickup_increment) && !empty($location->store_appt_pickup_increment) ? unserialize($location->store_appt_pickup_increment) : array(); 
				$time = !empty($slotSetting['time']) ? $slotSetting['time'] : '15';
				$unit = !empty($slotSetting['unit']) ? $slotSetting['unit'] : 'min';
				?>
				<input type="number" id="wclp_appt_pickup_increment" name="wclp_appt_pickup_increment[time]" min="1" max="<?php echo ( 'hour' == $unit ) ? '24' : '3600'; ?>" value="<?php echo esc_html($time); ?>" min="5" max="60" style="width:auto;"> 
				<select class="select select2" id="wclp_appt_pickup_increment2" name="wclp_appt_pickup_increment[unit]" style="width:auto;min-height: auto;line-height: 28px;">
					<option value="min" <?php echo ( isset( $unit ) && 'min' == $unit ) ? 'selected' : ''; ?>><?php esc_html_e( 'Min', 'advanced-local-pickup-pro' ); ?></option>
					<option value="hour" <?php echo ( isset( $unit ) && 'hour' == $unit ) ? 'selected' : ''; ?>><?php esc_html_e( 'Hour', 'advanced-local-pickup-pro' ); ?></option>
				</div>
			</td>
		</tr>
		<tr valign="top" class="">								
			<td style="">
				<div class="hours-block appt-per-time-slot">
					<label class="time-format" for=""><?php esc_html_e( 'Appointments per time slot', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'limit the number of appointments per pickup slot (how many customers can schedule the same time slot)', 'advanced-local-pickup-pro' ); ?>"></span></label>
				</div>
				<div>
					<select class="select select2" id="wclp_appt_time_slot_limit" name="wclp_appt_time_slot_limit" style="width:auto;min-height: auto;line-height: 28px;">
						<option value="1" <?php echo ( isset( $location->store_appt_time_slot_limit ) && '1' == $location->store_appt_time_slot_limit ) ? 'selected' : ''; ?>><?php esc_html_e( '1', '' ); ?></option>
						<option value="2" <?php echo ( isset( $location->store_appt_time_slot_limit ) && '2' == $location->store_appt_time_slot_limit ) ? 'selected' : ''; ?>><?php esc_html_e( '2', '' ); ?></option>
						<option value="3" <?php echo ( isset( $location->store_appt_time_slot_limit ) && '3' == $location->store_appt_time_slot_limit ) ? 'selected' : ''; ?>><?php esc_html_e( '3', '' ); ?></option>
						<option value="4" <?php echo ( isset( $location->store_appt_time_slot_limit ) && '4' == $location->store_appt_time_slot_limit ) ? 'selected' : ''; ?>><?php esc_html_e( '4', '' ); ?></option>
						<option value="5" <?php echo ( isset( $location->store_appt_time_slot_limit ) && '5' == $location->store_appt_time_slot_limit ) ? 'selected' : ''; ?>><?php esc_html_e( '5', '' ); ?></option>
						<option value="6" <?php echo ( isset( $location->store_appt_time_slot_limit ) && '6' == $location->store_appt_time_slot_limit ) ? 'selected' : ''; ?>><?php esc_html_e( '6', '' ); ?></option>
						<option value="7" <?php echo ( isset( $location->store_appt_time_slot_limit ) && '7' == $location->store_appt_time_slot_limit ) ? 'selected' : ''; ?>><?php esc_html_e( '7', '' ); ?></option>
						<option value="8" <?php echo ( isset( $location->store_appt_time_slot_limit ) && '8' == $location->store_appt_time_slot_limit ) ? 'selected' : ''; ?>><?php esc_html_e( '8', '' ); ?></option>
						<option value="9" <?php echo ( isset( $location->store_appt_time_slot_limit ) && '9' == $location->store_appt_time_slot_limit ) ? 'selected' : ''; ?>><?php esc_html_e( '9', '' ); ?></option>
						<option value="10" <?php echo ( isset( $location->store_appt_time_slot_limit ) && '10' == $location->store_appt_time_slot_limit ) ? 'selected' : ''; ?>><?php esc_html_e( '10', '' ); ?></option>
						<option value="no-limit" <?php echo ( isset( $location->store_appt_time_slot_limit ) && 'no-limit' == $location->store_appt_time_slot_limit ) ? 'selected' : ''; ?>><?php esc_html_e( 'Unlimited', 'advanced-local-pickup-pro' ); ?></option>
					</select>
				</div>
			</td>
		</tr>
		<tr valign="top" class="">								
			<td>
				<div class="hours-block appt-hours">
					<label class="appt-hours" for=""><?php esc_html_e( 'Pickup time slots', 'advanced-local-pickup-pro' ); ?></label>
				</div>
				<?php 								
				$currentDay = gmdate('j');
				$currentMonth = gmdate('n');
				$currentYear = gmdate('Y');
				
				$all_days = array(
					'sunday' => __( 'Sunday', 'advanced-local-pickup-pro' ),
					'monday' => __( 'Monday', 'advanced-local-pickup-pro'),
					'tuesday' => __( 'Tuesday', 'advanced-local-pickup-pro' ),
					'wednesday' => __( 'Wednesday', 'advanced-local-pickup-pro' ),
					'thursday' => __( 'Thursday', 'advanced-local-pickup-pro' ),
					'friday' => __( 'Friday', 'advanced-local-pickup-pro' ),
					'saturday' => __( 'Saturday', 'advanced-local-pickup-pro' ),
				);
					
				$days = array_slice($all_days , get_option('start_of_week'));
					
				foreach ($all_days as $key=>$val) {
					$days[$key] = $val;
				}
				
				for ($x = $currentMonth; $x < $currentMonth + 12; $x++) {
					$calander_data[gmdate('n', mktime(0, 0, 0, $x, 1))] = gmdate('Y', mktime(0, 0, 0, $x, 1));
				} 
				
				foreach ( $calander_data as $month => $Year ) {
					if ( $month != $currentMonth ) {
						$currentDay = '1';	
					}
					$mktime = mktime(12, 0, 0, $month, 1, $Year);
					$numberOfDays = 2 == $month ? ( $Year % 4 ? 28 : ( $Year % 100 ? 29 : ( $Year % 400 ? 28 : 29 ) ) ) : ( ( $month - 1 ) % 7 % 2 ? 30 : 31 );
					
					$offset = gmdate('w', $mktime) - get_option('start_of_week');
					if ( gmdate('w', $mktime) < get_option('start_of_week') ) {
						$offset = 7 - get_option('start_of_week') + gmdate('w', $mktime);
					}
					
					$row_number = 1;
					?>
					<table class="calendar_view_table form-table" <?php echo ( $month != $currentMonth ) ? 'style="display:none;"' : ''; ?>>
						<tbody>
							<tr class="tr_cal_head">
								<td colspan="5"><h3>
								<?php 
									$_month = gmdate( 'F', $mktime );
									echo esc_html( '1 ' . $_month . ' - ' . $numberOfDays . ' ' . $_month . ' ' . $Year  );
								?>
								</h3></td>
								<td colspan="" style="text-align: right;"></td>
								<td colspan="" >
									<button type="button" class="prev-btn btn" <?php echo ( $month == $currentMonth ) ? 'disabled="disabled"' : ''; ?>><span class="dashicons dashicons-arrow-left-alt2"></span></button>
									<button type="button" class="next-btn btn" <?php echo ( $month == $currentMonth - 1 ) ? 'disabled="disabled"' : ''; ?>><span class="dashicons dashicons-arrow-right-alt2"></span></button>
								</td>
							</tr>
							<tr class="tr_cal_days" style="text-align: center;">
							<?php
							foreach ( (array) $days as $key => $val ) {
								echo '<td>' . esc_html($val) . '</td>';
							}
							?>
							</tr>
							<tr class="tr_cal_dates">
							<?php
							// this will print the additional td record in case the month is not starting with the Sunday.
							for ( $i = 1; $i <= $offset; $i++ ) {
								echo '<td style="background: #f5f5f5;"></td>';
							}
							//  this will print the number of days.
							for ( $day = 1; $day <= $numberOfDays; $day++ ) { 
								if ( 0 == ( $day + $offset - 1 ) % 7 && 1 != $day ) {
									echo '</tr> <tr class="tr_cal_dates">';
									$row_number++;
								}
							
								$date = $day . '-' . $month . '-' . $Year;
								$dayName = strtolower(gmdate('l', mktime(12, 0, 0, $month, $day, $Year)));
								
								$store_days = isset($location->store_days) ? unserialize($location->store_days) : get_option('wclp_store_days');
								$store_appt_days = isset($location->store_appt_days) ? unserialize($location->store_appt_days) : $store_days;
								$exclusive_appt_data = isset( $location->store_appt_exclusive_days ) ? unserialize($location->store_appt_exclusive_days) : array();

								if ( isset($exclusive_appt_data[$date]) && !empty($exclusive_appt_data[$date]) ) {
									$appt_data = $exclusive_appt_data[$date];
								} else {
									$appt_data = $store_appt_days;	
								}
								
								$wclp_defualt_time_format = '24';
								
								if ( $day >= $currentDay ) {
									$class = 'appt hours-time';
									$style = '';
								} else {
									$class = '';
									$style = 'background: #f5f5f5;';
								}
				
								?>
								<td style="<?php echo esc_html($style); ?>" >
									<span class="cln-date"><?php echo esc_html($day); ?></span>
									<?php if ( $day >= $currentDay ) { ?>
									<fieldset class="wclp_pickup_time_fieldset" style="">
										<?php if (!empty($appt_data[$dayName]['wclp_store_hour']) && !empty($appt_data[$dayName]['wclp_store_hour_end'])) { ?> 
										<span class="hours <?php echo esc_html($class); ?>" style="" data-date="<?php echo esc_html($date); ?>" data-dayName="<?php echo esc_html($dayName); ?>">
											<?php 
											if (isset($appt_data[$dayName]['wclp_store_hour'])) { 
												$wclp_store_hour = $appt_data[$dayName]['wclp_store_hour'];
												echo esc_html($wclp_store_hour); 
											} 
											?>
											- 
											<?php 
											if (isset($appt_data[$dayName]['wclp_store_hour_end'])) { 
												$wclp_store_hour_end = $appt_data[$dayName]['wclp_store_hour_end'];
												echo esc_html($wclp_store_hour_end);
											}
											?>
										</span>
										<?php } else { ?>
											<span class="hours plus-icon <?php echo esc_html($class); ?>" style="" data-date="<?php echo esc_html($date); ?>" data-dayName="<?php echo esc_html($dayName); ?>">
												<span class="dashicons dashicons-plus-alt2"></span>
											</span>
										<?php } ?>
										<?php if (!empty($appt_data[$dayName]['wclp_store_hour2']) && !empty($appt_data[$dayName]['wclp_store_hour_end2'])) { ?>
											<span class="hours <?php echo esc_html($class); ?> split-hours" style="" data-date="<?php echo esc_html($date); ?>" data-dayName="<?php echo esc_html($dayName); ?>">
												<?php
												if ( isset($appt_data[$dayName]['wclp_store_hour2']) ) { 
													$wclp_store_hour2 = $appt_data[$dayName]['wclp_store_hour2'];
													echo esc_html($wclp_store_hour2); 
												}
												?>
												- 
												<?php
												if ( isset($appt_data[$dayName]['wclp_store_hour_end2']) ) { 
													$wclp_store_hour_end2 = $appt_data[$dayName]['wclp_store_hour_end2'];
													echo esc_html($wclp_store_hour_end2);
												}
												?>
											</span>
										<?php } ?>
										<div id="appt_hours_popup_html" class="popupwrapper alp-hours-popup" style="display:none;"></div>
									</fieldset>
									<?php } ?>
								</td>
								<?php
							}
							while ( ( $day + $offset ) <= $row_number * 7 ) {
							echo '<td style="background: #f5f5f5;"></td>';
							$day++;
							} 
							?>
							</tr>
						</tbody>
				</table>
				<?php } ?>
			</td>
		</tr>
	</tbody>
</table>
