<table class="form-table">
	<tbody>
		<tr valign="top" class="">								
			<td class="forminp">
				<fieldset>
					<label for=""><?php esc_html_e( 'Cart adjustment', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'Apply cart adjustments for products that are pickup up from this location', 'advanced-local-pickup-pro' ); ?>"></span></label>
				</fieldset>
				<fieldset>
					<select class="select select2" id="wclp_price_adjustment" name="wclp_price_adjustment" style="width:200px;">
						<option value="percentage_discount" <?php echo ( isset( $location->store_price_adjustment ) && 'percentage_discount' == $location->store_price_adjustment ) ? 'selected' : ''; ?>><?php esc_html_e( 'Percentage discount(%)', 'advanced-local-pickup-pro' ); ?></option>
						<option value="fixed_discount" <?php echo ( isset( $location->store_price_adjustment ) && 'fixed_discount' == $location->store_price_adjustment ) ? 'selected' : ''; ?>><?php esc_html_e( 'Fixed amount discount', 'advanced-local-pickup-pro' ); ?></option>
						<option value="percentage_fee" <?php echo ( isset( $location->store_price_adjustment ) && 'percentage_fee' == $location->store_price_adjustment ) ? 'selected' : ''; ?>><?php esc_html_e( 'Percentage fee(%)', 'advanced-local-pickup-pro' ); ?></option>
						<option value="fixed_fee" <?php echo ( isset( $location->store_price_adjustment ) && 'fixed_fee' == $location->store_price_adjustment ) ? 'selected' : ''; ?>><?php esc_html_e( 'Fixed fee', 'advanced-local-pickup-pro' ); ?></option>
					</select>
				</fieldset> 
				<fieldset>
					<input class="input-text regular-input " type="text" name="wclp_price_amount" id="wclp_price_amount" value="<?php echo ( isset( $location->store_price_amount ) ) ? esc_html($location->store_price_amount) : ''; ?>" placeholder="0" style="width:50px;">
				</fieldset>              
			</td>
		</tr>
		<tr valign="top" class="" <?php echo ( isset( $location->store_price_adjustment ) && 'percentage_discount' != $location->store_price_adjustment ) ? 'style="display:none;padding-top: 15px;"' : ''; ?>>
			<td class="forminp">
			<label class="" for="wclp_apply_cart_adjustment_price">
				<input type="hidden" name="wclp_apply_cart_adjustment_price" value="0">
				<input type="checkbox" id="wclp_apply_cart_adjustment_price" name="wclp_apply_cart_adjustment_price" class="" <?php echo ( isset( $location->store_apply_cart_adjustment_price ) && '1'  == $location->store_apply_cart_adjustment_price ) ? 'checked' : ''; ?> value="1">
				<span class="multiple_label"><?php esc_html_e( 'Apply cart adjustments only on pickup items in cart', 'advanced-local-pickup-pro' ); ?></span>	
				<br>
			</label>           
			</td>
		</tr>
	</tbody>
</table>
