<?php
$store_days = isset($location->store_days) ? unserialize($location->store_days) : get_option('wclp_store_days');

if (!empty($store_days) && !empty( $location->store_name )) {
	$all_days = array(
	'sunday' => esc_html( 'Sunday', 'advanced-local-pickup-pro' ),
	'monday' => esc_html( 'Monday', 'advanced-local-pickup-pro'),
	'tuesday' => esc_html( 'Tuesday', 'advanced-local-pickup-pro' ),
	'wednesday' => esc_html( 'Wednesday', 'advanced-local-pickup-pro' ),
	'thursday' => esc_html( 'Thursday', 'advanced-local-pickup-pro' ),
	'friday' => esc_html( 'Friday', 'advanced-local-pickup-pro' ),
	'saturday' => esc_html( 'Saturday', 'advanced-local-pickup-pro' ),
	);
	$w_day = array_slice($all_days, get_option('start_of_week'));
	foreach ($all_days as $key=>$val) {
		$w_day[$key] = $val;
	}
	foreach ($store_days as $key => $val) {
		if ($w_day[$key]) {
			$w_day[$key] = $val;
		}
	}

	$wclp_store_time_format = isset($location->store_time_format) ? $location->store_time_format : '24';
	
	if ('12' == $wclp_store_time_format) {
		foreach ($w_day as $key=>$val) {	
			if (isset($val['wclp_store_hour'])) {
				$last_digit = explode(':', $val['wclp_store_hour']);
				if ('00' == end($last_digit)) {
					$val['wclp_store_hour'] = gmdate('ga', strtotime($val['wclp_store_hour']));
				} else {
					$val['wclp_store_hour'] = gmdate('g:ia', strtotime($val['wclp_store_hour']));
				}
			}
			if (isset($val['wclp_store_hour_end'])) {
				$last_digit = explode(':', $val['wclp_store_hour_end']);
				if ('00' == end($last_digit)) {
					$val['wclp_store_hour_end'] = gmdate('ga', strtotime($val['wclp_store_hour_end']));
				} else {
					$val['wclp_store_hour_end'] = gmdate('g:ia', strtotime($val['wclp_store_hour_end']));
				}
			}
			if (isset($val['wclp_store_hour2']) && !empty($val['wclp_store_hour2'])) {
				$last_digit = explode(':', $val['wclp_store_hour2']);
				if ('00' == end($last_digit)) {
					$val['wclp_store_hour2'] = gmdate('ga', strtotime($val['wclp_store_hour2']));
				} else {
					$val['wclp_store_hour2'] = gmdate('g:ia', strtotime($val['wclp_store_hour2']));
				}
			}
			if (isset($val['wclp_store_hour_end2']) && !empty($val['wclp_store_hour_end2'])) {
				$last_digit = explode(':', $val['wclp_store_hour_end2']);
				if ('00' == end($last_digit)) {
					$val['wclp_store_hour_end2'] = gmdate('ga', strtotime($val['wclp_store_hour_end2']));
				} else {
					$val['wclp_store_hour_end2'] = gmdate('g:ia', strtotime($val['wclp_store_hour_end2']));
				}
			}
			$w_day[$key] = $val;				
		}	
	}
	if (!empty($w_day)) { 	
		$n = 0;
		$new_array = [];
		$previousValue = [];
		
		foreach ($w_day as $day=>$value) {				
			if (isset($value['checked']) && 1 == $value['checked']) {																	
				if ($value != $previousValue) {
					$n++;
				}
				$new_array[$n][$day] = $value;					
				$previousValue = $value;
			} else {
				$n++;
				$new_array[$n][$day] = '';	
				$previousValue = '';
			}							
		}
	}

	foreach ($new_array as $key => $data) {
		if (1 == count($data)) {							
			if (isset(reset($data)['wclp_store_hour']) && '' != reset($data)['wclp_store_hour'] && isset(reset($data)['wclp_store_hour_end']) && '' != reset($data)['wclp_store_hour_end']) {
				reset($data);
				if (1 != $key ) {
					echo '';
				}
				echo esc_html(substr(ucfirst(key($data)), 0, 3), 'advanced-local-pickup-pro'); 
				?>
				<span>: 
				<?php 
					echo esc_html(reset($data)['wclp_store_hour']) . ''; 
					echo '-'; 
					echo esc_html(reset($data)['wclp_store_hour_end']); 
				?>
					<?php 
					if (isset(reset($data)['wclp_store_hour2']) && '' != reset($data)['wclp_store_hour2'] && isset(reset($data)['wclp_store_hour_end2']) && '' != reset($data)['wclp_store_hour_end2']) { 
						?>
					and 
					<?php 
					echo esc_html(reset($data)['wclp_store_hour2']) . ''; 
					echo '-'; 
					echo esc_html(reset($data)['wclp_store_hour_end2']); 
					} 
					?>
				</span>
			<?php }} ?>
		<?php
		if (2 == count($data)) {
			if (isset(reset($data)['wclp_store_hour']) && '' != reset($data)['wclp_store_hour'] && isset(reset($data)['wclp_store_hour_end']) && '' != reset($data)['wclp_store_hour_end']) {
				reset($data);
				$array_key_first = substr(key($data), 0, 3);
				end($data);
				$array_key_last = substr(key($data), 0, 3);
				?>
				<?php 
				if (1 != $key) {
					echo '';
				}
				echo esc_html(ucfirst($array_key_first), 'advanced-local-pickup-pro'); 
				?>
				<span>-</span>
				<?php echo esc_html(ucfirst($array_key_last), 'advanced-local-pickup-pro'); ?><span>: 
				<?php 
					echo esc_html(reset($data)['wclp_store_hour']) . ''; 
					echo '-'; 
					echo esc_html(reset($data)['wclp_store_hour_end']); 
				?>
				<?php if (isset(reset($data)['wclp_store_hour2']) && '' != reset($data)['wclp_store_hour2'] && isset(reset($data)['wclp_store_hour_end2']) && '' != reset($data)['wclp_store_hour_end2']) { ?>
				and 
				<?php 
					echo esc_html(reset($data)['wclp_store_hour2']) . ''; 
					echo '-'; 
					echo esc_html(reset($data)['wclp_store_hour_end2']); 
				} 
				?>
				</span>
			<?php }} ?>
		<?php 
		if (count($data) > 2) { 
			if (isset(reset($data)['wclp_store_hour']) && '' != reset($data)['wclp_store_hour'] && isset(reset($data)['wclp_store_hour_end']) && '' != reset($data)['wclp_store_hour_end']) {
				reset($data);
				$array_key_first = substr(key($data), 0, 3);
				end($data);
				$array_key_last = substr(key($data), 0, 3);		
				?>
				<?php 
				if (1 != $key) {
					echo'';
				} 
				echo esc_html(ucfirst($array_key_first), 'advanced-local-pickup-pro'); 
				
				?>
				
				<?php echo esc_html(' to', 'advanced-local-pickup-pro'); ?> <?php echo esc_html(ucfirst($array_key_last), 'advanced-local-pickup-pro'); ?><span>: 
				<?php 
					echo esc_html(reset($data)['wclp_store_hour']) . ''; 
					echo '-'; 
					echo esc_html(reset($data)['wclp_store_hour_end']); 
				?>
				<?php if (isset(reset($data)['wclp_store_hour2']) && '' != reset($data)['wclp_store_hour2'] && isset(reset($data)['wclp_store_hour_end2']) && '' != reset($data)['wclp_store_hour_end2']) { ?> 
				and 
				<?php 
				echo esc_html(reset($data)['wclp_store_hour2']) . ''; 
				echo '-'; 
				echo esc_html(reset($data)['wclp_store_hour_end2']); 
				} 
				?>
				</span>
				<?php 
			}
		}
	}
}
?>
