<table class="form-table">
	<tbody>
		<tr valign="top" class="">							
			<th>
				<label for=""><?php esc_html_e( 'Address line 1', 'woocommerce' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'The street address for your business location.', 'woocommerce' ); ?>"></span></label>
			</th>
			<td class="forminp">                                              
				<fieldset>
					<input class="input-text regular-input " type="text" name="wclp_store_address" id="wclp_store_address" style="" value="<?php isset( $location->store_address ) ? esc_html_e($location->store_address) : esc_html_e(get_option('woocommerce_store_address')); ?>" placeholder="">
				</fieldset>
			</td>
		</tr>
		<tr valign="top" class="">
			<th>
				<label for=""><?php esc_html_e( 'Address line 2', 'woocommerce' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'An additional, optional address line for your business location.', 'advanced-local-pickup-pro' ); ?>"></span></label>
			</th>
			<td class="forminp">                                                
				<fieldset>
					<input class="input-text regular-input " type="text" name="wclp_store_address_2" id="wclp_store_address_2" style="" value="<?php isset( $location->store_address_2 ) ? esc_html_e($location->store_address_2) : esc_html_e(get_option('woocommerce_store_address_2')); ?>" placeholder="">
				</fieldset>
			</td>
		</tr>
		<tr valign="top" class="">
			<th>
				<label for=""><?php esc_html_e( 'City', 'woocommerce' ); ?><span class="woocommerce-help-tip tipTip"  title="<?php esc_html_e( 'The city in which your business is located.', 'woocommerce' ); ?>"></span></label>
			</th>
			<td class="forminp">                                                
				<fieldset>
					<input class="input-text regular-input " type="text" name="wclp_store_city" id="wclp_store_city" style="" value="<?php isset( $location->store_city ) ? esc_html_e($location->store_city) : esc_html_e(get_option('woocommerce_store_city')); ?>" placeholder="">
				</fieldset>
			</td>
		</tr>
		<tr valign="top" class="">
			<th>
				<label for=""><?php esc_html_e( 'Country / State', 'woocommerce' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'The country and state or province, if any, in which your business is located.', 'woocommerce' ); ?>"></span></label>
			</th>
			<td class="forminp">                                                
				<?php
				$country_setting =  isset( $location->store_country ) ? $location->store_country : get_option('woocommerce_default_country') ; //get_option('woocommerce_default_country'));
				if ( strstr( $country_setting, ':' ) ) {
					$country_setting = explode( ':', $country_setting );
					$country         = current( $country_setting );
					$state           = end( $country_setting );
				} else {
					$country = $country_setting;
					$state   = '*';
				}
				?>
				<fieldset>
					<select name="wclp_default_country" id="wclp_default_country" style="" data-placeholder="<?php esc_attr_e( 'Choose a country / region&hellip;', 'woocommerce' ); ?>" aria-label="<?php esc_attr_e( 'Country / Region', 'woocommerce' ); ?>" class="select wc-enhanced-select">
						<?php WC()->countries->country_dropdown_options( $country, $state ); ?>
					</select>
					<?php if (class_exists('Advanced_local_pickup_PRO')) { ?>
						<input type="hidden" name="wclp_display_country" value="0">
						<input type="checkbox" id="wclp_display_country" name="wclp_display_country" class="" <?php echo ( !isset( $location->store_display_country ) || ( isset( $location->store_display_country ) && '1' == $location->store_display_country ) ) ? 'checked' : ''; ?> value="1" style="margin: 5px;"><?php esc_html_e( 'Hide', 'woocommerce' ); ?>
					<?php } ?>
				</fieldset>
			</td>
		</tr>
		<tr valign="top" class="">								
			<th>
				<label for=""><?php esc_html_e( 'Postcode / ZIP', 'woocommerce' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'The postal code, if any, in which your business is located.', 'woocommerce' ); ?>"></span></label>
			</th>
			<td class="forminp">                                                
				<fieldset>
					<input class="input-text regular-input " type="text" name="wclp_store_postcode" id="wclp_store_postcode" style="" value="<?php isset( $location->store_postcode ) ? esc_html_e($location->store_postcode) : esc_html_e(get_option('woocommerce_store_postcode')); ?>" placeholder="">
				</fieldset>
			</td>
		</tr>
		<tr valign="top" class="">								
			<th>
				<label for=""><?php esc_html_e( 'Phone number', 'woocommerce' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'The phone number for your business information.', 'advanced-local-pickup-pro' ); ?>"></span></label>
			</th>
			<td class="forminp">                                                
				<fieldset>
					<input class="input-text regular-input " type="text" name="wclp_store_phone" id="wclp_store_phone" style="" value="<?php isset( $location->store_phone ) ? esc_html_e($location->store_phone) : '' ; ?>" placeholder="">
				</fieldset>
			</td>
		</tr>
	</tbody>
</table>
