<table class="form-table">
	<tbody>
		<tr valign="top" class="">								
			<td style="padding-top:5px;">
				<div class="hours-block time-format">
					<label class="time-format" for=""><?php esc_html_e( 'Display time format', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'Select time format which you want to display in business hours for customers.', 'advanced-local-pickup-pro' ); ?>"></span></label>
				</div>
				<div>
					<fieldset>
						<select class="select select2" id="wclp_default_time_format" name="wclp_default_time_format">
							<option value="24" <?php echo ( isset( $location->store_time_format ) && '24' == $location->store_time_format ) ? 'selected' : ''; ?>><?php esc_html_e( '24 hour', 'advanced-local-pickup-pro' ); ?></option>
							<option value="12" <?php echo ( isset( $location->store_time_format ) && '12' == $location->store_time_format ) ? 'selected' : ''; ?>><?php esc_html_e( '12 hour', 'advanced-local-pickup-pro' ); ?></option>
						</select>
					</fieldset>
				</div>
			</td>
		</tr>
		<tr valign="top" class="">								
			<td>
				<div class="hours-block work-hours">
					<label class="work-hours" for=""><?php esc_html_e( 'Work hours', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'the select for working days of your store.', 'advanced-local-pickup-pro' ); ?>"></span></label>
				</div>
				
				<div class="pickup_hours_div business" style="">
					<?php
					$all_days = array(
						'sunday' => esc_html__( 'Sunday', 'advanced-local-pickup-pro' ),
						'monday' => esc_html__( 'Monday', 'advanced-local-pickup-pro'),
						'tuesday' => esc_html__( 'Tuesday', 'advanced-local-pickup-pro' ),
						'wednesday' => esc_html__( 'Wednesday', 'advanced-local-pickup-pro' ),
						'thursday' => esc_html__( 'Thursday', 'advanced-local-pickup-pro' ),
						'friday' => esc_html__( 'Friday', 'advanced-local-pickup-pro' ),
						'saturday' => esc_html__( 'Saturday', 'advanced-local-pickup-pro' ),
					);
					
					$days = array_slice($all_days, get_option('start_of_week'));
					
					foreach ($all_days as $key=>$val) {
						$days[$key] = $val;
					}
				
					foreach ((array) $days as $key => $val ) {									
							
						$multi_checkbox_data = isset( $location->store_days ) ? unserialize($location->store_days) : get_option('wclp_store_days');
						$wclp_defualt_time_format = '24';
						
						if (isset($multi_checkbox_data[$key]['checked']) && 1 == $multi_checkbox_data[$key]['checked']) {
							$checked= 'checked';
							$class = 'hours-time';
						} else {
							$checked= '';
							$class = '';
						}
						
						$send_time_array = array();										
						for ( $hour = 0; $hour < 24; $hour++ ) {
							for ( $min = 0; $min < 60; $min = $min + apply_filters('alp_work_hours_slots', $default = '30') ) {
								$this_time = gmdate( 'H:i', strtotime( "$hour:$min" ) );
								$send_time_array[ $this_time ] = $this_time;
							}	
						}
						?>
					<div class="wplp_pickup_duration" style="">
						<fieldset style=""><label class="" for="<?php echo esc_html($key); ?>" style="">
							<input type="checkbox" id="<?php echo esc_html($key); ?>" name="wclp_store_days[<?php echo esc_html($key); ?>][checked]" class="pickup_days_checkbox"  <?php echo esc_html($checked); ?> value="1"/>
							<span class="pickup_days_lable" style="width: auto;"><?php esc_html_e($val, 'advanced-local-pickup-pro'); ?></span>	
						</label></fieldset>
						<fieldset class="wclp_pickup_time_fieldset" style="">
							<span class="hours <?php echo esc_html($class); ?>" style="">
								<?php 
								if (isset($multi_checkbox_data[$key]['wclp_store_hour'])) { 
									if ('12' == $wclp_defualt_time_format) {
										$last_digit = explode(':', $multi_checkbox_data[$key]['wclp_store_hour']);
										if ('00' == end($last_digit)) {
											$wclp_store_hour = gmdate('g:ia', strtotime($multi_checkbox_data[$key]['wclp_store_hour']));
										} else {
											$wclp_store_hour = gmdate('g:ia', strtotime($multi_checkbox_data[$key]['wclp_store_hour']));
										}
									} else {
										$wclp_store_hour = $multi_checkbox_data[$key]['wclp_store_hour'];
									}
									echo esc_html($wclp_store_hour); 
								} 
								echo !empty($multi_checkbox_data[$key]['wclp_store_hour']) ? ' - ' : '<span class="dashicons dashicons-plus"></span>';
								if (isset($multi_checkbox_data[$key]['wclp_store_hour_end'])) { 
									if ('12' == $wclp_defualt_time_format) {
										$last_digit = explode(':', $multi_checkbox_data[$key]['wclp_store_hour_end']);
										if ('00' == end($last_digit)) {
											$wclp_store_hour_end = gmdate('g:ia', strtotime($multi_checkbox_data[$key]['wclp_store_hour_end']));
										} else {
											$wclp_store_hour_end = gmdate('g:ia', strtotime($multi_checkbox_data[$key]['wclp_store_hour_end']));
										}
									} else {
										$wclp_store_hour_end = $multi_checkbox_data[$key]['wclp_store_hour_end'];
									}
									echo esc_html($wclp_store_hour_end);
								} 
								?>
							</span>
							<?php 
							if (!empty($multi_checkbox_data[$key]['wclp_store_hour2']) && !empty($multi_checkbox_data[$key]['wclp_store_hour_end2'])) { 
								?>
								<span class="hours <?php echo esc_html($class); ?> split-hours" style="">
									<?php 
									if (isset($multi_checkbox_data[$key]['wclp_store_hour2'])) { 
										if ('12' == $wclp_defualt_time_format) {
											$last_digit = explode(':', $multi_checkbox_data[$key]['wclp_store_hour2']);
											if ('00' == end($last_digit)) {
												$wclp_store_hour2 = gmdate('g:ia', strtotime($multi_checkbox_data[$key]['wclp_store_hour2']));
											} else {
												$wclp_store_hour2 = gmdate('g:ia', strtotime($multi_checkbox_data[$key]['wclp_store_hour2']));
											}
										} else {
											$wclp_store_hour2 = $multi_checkbox_data[$key]['wclp_store_hour2'];
										}
										echo esc_html($wclp_store_hour2); 
									} 
									?>
									- 
									<?php 
									if (isset($multi_checkbox_data[$key]['wclp_store_hour_end2'])) { 
										if ('12' == $wclp_defualt_time_format) {
											$last_digit = explode(':', $multi_checkbox_data[$key]['wclp_store_hour_end2']);
											if ('00' == end($last_digit)) {
												$wclp_store_hour_end2 = gmdate('g:ia', strtotime($multi_checkbox_data[$key]['wclp_store_hour_end2']));
											} else {
												$wclp_store_hour_end2 = gmdate('g:ia', strtotime($multi_checkbox_data[$key]['wclp_store_hour_end2']));
											}
										} else {
											$wclp_store_hour_end2 = $multi_checkbox_data[$key]['wclp_store_hour_end2'];
										}
										echo esc_html($wclp_store_hour_end2);
									} 
									?>
								</span>
							<?php } ?>
							<div id="" class="popupwrapper alp-hours-popup" style="display:none;">
								<div class="popuprow">
									<span class="dashicons dashicons-no-alt popup_close_icon"></span>
									<div class="alp-hours-popup">
										<div id="header-text">
										  <span style=""><?php esc_html_e( 'From', 'advanced-local-pickup-pro' ); ?></span>
										  <span><?php esc_html_e( ' To', 'advanced-local-pickup-pro' ); ?></span>
										</div>
										<span class="morning-time"><select class="select <?php echo esc_html($key); ?> wclp_pickup_time_select start" name="wclp_store_days[<?php echo esc_html($key); ?>][wclp_store_hour]"> <option value="" ><?php esc_html_e( 'Select', 'woocommerce' ); ?></option>
											<?php 
											foreach ((array) $send_time_array as $key1 => $val1 ) {
												if ('12' == $wclp_defualt_time_format) {
													$last_digit = explode(':', $val1);
													if ('00' == end($last_digit)) {
														$val1 = gmdate('g:ia', strtotime($val1));
													} else {
														$val1 = gmdate('g:ia', strtotime($val1));
													}
												}
												?>
											<option value="<?php echo esc_html($key1); ?>" <?php echo ( isset($multi_checkbox_data[$key]['wclp_store_hour']) && $multi_checkbox_data[$key]['wclp_store_hour'] == $key1 ) ? 'selected' : ''; ?>><?php echo esc_html($val1); ?></option>
											<?php } ?>
										</select>
										<select class="select <?php echo esc_html($key); ?> wclp_pickup_time_select end" name="wclp_store_days[<?php echo esc_html($key); ?>][wclp_store_hour_end]"><option value=""><?php esc_html_e( 'Select', 'woocommerce' ); ?></option>
											<?php 
											foreach ((array) $send_time_array as $key2 => $val2 ) {
												if ('12' == $wclp_defualt_time_format) {
													$last_digit = explode(':', $val2);
													if ('00' == end($last_digit)) {
														$val2 = gmdate('g:ia', strtotime($val2));
													} else {
														$val2 = gmdate('g:ia', strtotime($val2));
													}
												}
												
												?>
												<option value="<?php echo esc_html($key2); ?>" <?php echo ( isset($multi_checkbox_data[$key]['wclp_store_hour_end']) && $multi_checkbox_data[$key]['wclp_store_hour_end'] == $key2 ) ? 'selected' : ''; ?>><?php echo esc_html($val2); ?></option>
											<?php } ?>
										</select>
										<span class="dashicons dashicons-trash" ></span>
										</span>
										<span class="afternoon-time <?php echo ( !isset($multi_checkbox_data[$key]['wclp_store_hour2']) || '' == $multi_checkbox_data[$key]['wclp_store_hour2'] ) ? 'hide-select-box' : ''; ?>">
											<select class="select <?php echo esc_html($key); ?> wclp_pickup_time_select start2" name="wclp_store_days[<?php echo esc_html($key); ?>][wclp_store_hour2]"><option value=""><?php esc_html_e( 'Select', 'woocommerce' ); ?></option>
												<?php 
												foreach ((array) $send_time_array as $key1 => $val1 ) {
													if (isset($wclp_defualt_time_format) && '12' == $wclp_defualt_time_format) {
														$last_digit = explode(':', $val1);
														if ('00' == end($last_digit)) {
															$val1 = gmdate('g:ia', strtotime($val1));
														} else {
															$val1 = gmdate('g:ia', strtotime($val1));
														}
													}
													?>
												<option value="<?php echo esc_html($key1); ?>" <?php echo ( isset($multi_checkbox_data[$key]['wclp_store_hour2']) && $multi_checkbox_data[$key]['wclp_store_hour2'] == $key1 ) ? 'selected' : ''; ?>><?php echo esc_html($val1); ?></option>
												<?php } ?>
											</select>
											<select class="select <?php echo esc_html($key); ?> wclp_pickup_time_select end2" name="wclp_store_days[<?php echo esc_html($key); ?>][wclp_store_hour_end2]"><option value=""><?php esc_html_e( 'Select', 'woocommerce' ); ?></option>
												<?php 
												foreach ((array) $send_time_array as $key2 => $val2 ) {
													if (isset($wclp_defualt_time_format) && '12' == $wclp_defualt_time_format) {
														$last_digit = explode(':', $val2);
														if ('00' == end($last_digit)) {
															$val2 = gmdate('g:ia', strtotime($val2));
														} else {
															$val2 = gmdate('g:ia', strtotime($val2));
														}
													}
												
													?>
													<option value="<?php echo esc_html($key2); ?>" <?php echo ( isset($multi_checkbox_data[$key]['wclp_store_hour_end2']) && $multi_checkbox_data[$key]['wclp_store_hour_end2'] == $key2 ) ? 'selected' : ''; ?>><?php echo esc_html($val2); ?></option>
												<?php } ?>
											</select>
											<span class="dashicons dashicons-trash"></span>
										</span>
										<p class="add-interval" <?php echo ( !class_exists('Advanced_local_pickup_PRO') || ( isset($multi_checkbox_data[$key]['wclp_store_hour_end2']) && '' != $multi_checkbox_data[$key]['wclp_store_hour_end2'] ) ) ? 'style="display:none"' : ''; ?>>+ Add Interval</p>
									</div>
									<div class="apply-days-popup" style="display:none;">
										<div class="back-popup">
											<p style="cursor:pointer;font-size: 20px !important;color: #395da4;margin: 10px 0 15px 0;"><?php esc_html_e('< Back to settings', 'advanced-local-pickup-pro'); ?></p>
										</div>
										<div class="days-list">
											<?php foreach ($days as $key1 => $val1) { ?>
											<div class="">
												<label><input type="checkbox" name="weekday-<?php echo esc_html($key); ?>" class="<?php echo esc_html($key1); ?> weekday" <?php echo ( $key1 == $key ) ? 'checked' : ''; ?> value="<?php echo esc_html($key1); ?>"/>
													<span class="pickup_days_lable" style="width: auto;"><?php esc_html_e($val1, 'advanced-local-pickup-pro'); ?></span>	
												</label> 
											</div>
											<?php } ?>
										</div>
									</div>
									<button type="button" class="wclp-apply button-primary" value="<?php echo esc_html($key); ?>"><?php esc_html_e('Apply & close', 'advanced-local-pickup-pro'); ?></button>
									<p class="alp-apply-multiple"><?php esc_html_e('Or apply to multiple...', 'advanced-local-pickup-pro'); ?></p>
								</div>
								<div class="popupclose"></div>
							</div>
						</fieldset>
					</div> 						
					<?php } ?>
				</div>
			</td>
		</tr>
		<tr valign="top" class="">								
			<td>
				<div class="hours-block time-format">
					<label class="time-format" for=""><?php esc_html_e( 'Common Public Holidays', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'Choose multiple public holidays for store.', 'advanced-local-pickup-pro' ); ?>"></span></label>
				</div>
				<div>
					<fieldset>
						<input class="input-text regular-input " type="text" name="wclp_store_public_holidays" id="wclp_store_public_holidays" style="" value="<?php echo ( isset( $location->store_public_holidays ) ) ? esc_html($location->store_public_holidays) : ''; ?>" placeholder="Choose dates....">
					</fieldset>
				</div>
			</td>
		</tr>
		<tr valign="top" class="">								
			<td>
				<div class="hours-block time-format">
					<label class="time-format" for=""><?php esc_html_e( 'Holidays/Exception message', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'Holidays/Exception message for store.', 'advanced-local-pickup-pro' ); ?>"></span></label>
				</div>
				<div>
					<fieldset>
						<input class="input-text regular-input " type="text" name="wclp_store_holiday_message" id="wclp_store_holiday_message" style="" value="<?php echo ( isset( $location->store_holiday_message ) ) ? esc_html($location->store_holiday_message) : ''; ?>" placeholder="i.e “on holidays we are open from 9am - 2pm”">
					</fieldset>
				</div>
			</td>
		</tr>
	</tbody>
</table>
