<table class="form-table">
	<tbody>
		<tr valign="top">
			<td style="width:350px;"><label for=""><?php esc_html_e( 'Local pickup order email notification recipients', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'Enter comma separated email addresses', 'advanced-local-pickup-pro' ); ?>"></span></label></td>
			<td class="forminp">                                            
				<input class="input-text regular-input " type="text" name="wclp_store_recipients" id="wclp_store_recipients" style="" value="<?php echo ( isset( $location->store_recipients ) ) ? esc_html($location->store_recipients) : ''; ?>" placeholder="<?php esc_html_e( 'Enter Comma Separated email addresses', 'advanced-local-pickup-pro' ); ?>">
			</td>
		</tr>
		<?php if ( class_exists('SMS_For_WooCommerce') ) { ?>
			<tr valign="top" class='wclp_enable_pickup_reminder_SMS'>
				<td class="forminp" colspan="2">
					<label class="" for="wclp_enable_pickup_reminder_SMS">
						<input type="hidden" name="wclp_enable_pickup_reminder_SMS" value="0">
						<input type="checkbox" id="wclp_enable_pickup_reminder_SMS" name="wclp_enable_pickup_reminder_SMS" class="" <?php echo ( isset( $location->store_enable_pickup_reminder_SMS ) && '1' == $location->store_enable_pickup_reminder_SMS ) ? 'checked' : ''; ?> value="1">
						<span class="multiple_label" style="font-weight: 400;"><?php esc_html_e( 'Enable a pickup reminder SMS notification to the customer', 'advanced-local-pickup-pro' ); ?></span>	
						<br>
					</label>
				</td>
			</tr>
			<tr valign="top" class='wclp_pickup_reminder_SMS_template'>
				<td class="forminp" colspan="2">
					<label for=""><?php esc_html_e( 'Pickup reminder SMS', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'available placeholder for Pickup reminder SMS: {billing_name}, {shop_name}, {order_status}, {pickup_location_hours}.', 'advanced-local-pickup-pro' ); ?>"></span></label>
				</td>
				<td class="forminp" colspan="2">
					<textarea rows="3" cols="40" class="input-text regular-input" type="textarea" name="wclp_pickup_reminder_SMS_template" id="wclp_pickup_reminder_SMS_template" style="" placeholder="<?php esc_html_e( 'Hi {billing_name}, your order #{order_id} from {shop_name} is {order_status} your pickup is scheduled to {pickup_location_hours}', 'advanced-local-pickup-pro' ); ?>"><?php isset( $location->store_pickup_reminder_SMS_template ) ? esc_html_e(stripslashes($location->store_pickup_reminder_SMS_template)) : esc_html_e(stripslashes(get_option('smswoo_pickup_reminder_sms_template'))); ?></textarea>
				</td>
			</tr>
		<?php } ?>
		<tr valign="top" class='wclp_enable_pickup_reminder'>
			<td class="forminp" colspan="2">
				<label class="" for="wclp_enable_pickup_reminder">
					<input type="hidden" name="wclp_enable_pickup_reminder" value="0">
					<input type="checkbox" id="wclp_enable_pickup_reminder" name="wclp_enable_pickup_reminder" class="" <?php echo ( isset( $location->store_enable_pickup_reminder ) && '1' == $location->store_enable_pickup_reminder ) ? 'checked' : ''; ?> value="1">
					<span class="multiple_label" style="font-weight: 400;"><?php esc_html_e( 'Enable a pickup reminder email notification to the customer', 'advanced-local-pickup-pro' ); ?></span>	
					<br>
				</label>
			</td>
		</tr>
		<?php if ( isset( $location->store_enable_appt ) && '1' == $location->store_enable_appt ) { ?>
			<tr valign="top" class="wclp_pickup_reminder_time pickup_reminder">
				<td class="forminp" colspan="2">
					<label class="time-format" for="">
						<?php esc_html_e( 'Trigger the pickup reminder notification ', 'advanced-local-pickup-pro' ); ?>  
							<?php
							$slotSetting = isset($location->store_pickup_reminder_time) && !empty($location->store_pickup_reminder_time) ? unserialize($location->store_pickup_reminder_time) : array(); 
							$time = !empty($slotSetting['time']) ? $slotSetting['time'] : '15';
							$unit = !empty($slotSetting['unit']) ? $slotSetting['unit'] : 'min';
							?>
							<input type="number" id="wclp_pickup_reminder_time" name="wclp_pickup_reminder_time[time]" min="1" max="<?php echo ( 'hour' == $unit || 'day' == $unit ) ? '24' : '3600'; ?>" value="<?php echo esc_html($time); ?>" style="width:auto;"> 
							<select class="select select2" id="wclp_pickup_reminder_time2" name="wclp_pickup_reminder_time[unit]" style="width:auto;min-height: auto;line-height: 28px;">
								<option value="min" <?php echo ( isset( $unit ) && 'min' == $unit ) ? 'selected' : ''; ?>><?php esc_html_e( 'Minute', 'advanced-local-pickup-pro' ); ?></option>
								<option value="hour" <?php echo ( isset( $unit ) && 'hour' == $unit ) ? 'selected' : ''; ?>><?php esc_html_e( 'Hour', 'advanced-local-pickup-pro' ); ?></option>
								<option value="day" <?php echo ( isset( $unit ) && 'day' == $unit ) ? 'selected' : ''; ?>><?php esc_html_e( 'Day', 'advanced-local-pickup-pro' ); ?></option>
							</select>
						
							<?php esc_html_e( 'before the appointment time.', 'advanced-local-pickup-pro' ); ?>
						<span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'Set the frequency pickup reminder time to send email before appointment time to the customer', 'advanced-local-pickup-pro' ); ?>"></span>
					</label>
				</td>
			</tr>
		<?php } ?>
		<?php if ( !isset( $location->store_enable_appt ) || isset( $location->store_enable_appt ) && '1' != $location->store_enable_appt ) { ?>
			<tr valign="top" class="wclp_nonAppt_pickup_days pickup_reminder">
				<td class="forminp" colspan="2">		
					<label class="time-format" for="">
						<?php esc_html_e( 'Send pickup reminder after', 'advanced-local-pickup-pro' ); ?>
						<input type="number" id="wclp_nonAppt_pickup_days" name="wclp_nonAppt_pickup_days" min="0" max="30" value="<?php echo esc_html( isset($location->store_nonAppt_pickup_days) ? $location->store_nonAppt_pickup_days : 0); ?>" style="width:auto;">
						<?php esc_html_e( 'days', 'advanced-local-pickup-pro' ); ?>
						<span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'this will trigger email reminder to your customers X days after the order was set to ready for pickup and the order status was not updated to Picked up.', 'advanced-local-pickup-pro' ); ?>"></span>
					</label>
				</td>
			</tr>
			<tr valign="top" class="wclp_2nd_nonAppt_pickup_days pickup_reminder">
				<td class="forminp" colspan="2">
					<label class="time-format" for="">
						<?php esc_html_e( 'Send second  pickup reminder after', 'advanced-local-pickup-pro' ); ?>
						<input type="number" id="wclp_2nd_nonAppt_pickup_days" name="wclp_2nd_nonAppt_pickup_days" min="0" max="30" value="<?php echo esc_html( isset($location->store_2nd_nonAppt_pickup_days) ? $location->store_2nd_nonAppt_pickup_days : 0); ?>" style="width:auto;">
						<?php esc_html_e( 'days', 'advanced-local-pickup-pro' ); ?>
						<span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'this will trigger email reminder to your customers X days after first reminder and the order was not picked up.', 'advanced-local-pickup-pro' ); ?>"></span>
					</label>
				</td>
			</tr>
		<?php } ?>
	</tbody>
</table>
