<table class="form-table">
	<tbody>
		<?php 
		// Get all shipping zones
		$shipping_zones = WC_Shipping_Zones::get_zones();

		// Loop through each shipping zone
		$shipping_methods = array();
		foreach ($shipping_zones as $shipping_zone) {
			$shipping_methods = $shipping_zone['shipping_methods'];
			
			foreach ($shipping_methods as $shipping_method) {
				if ( 'local_pickup' == $shipping_method->id ) {
					$shipping_method_id = $shipping_method->get_instance_id();
					$shipping_method_title = $shipping_method->get_title();
					$all_shipping_methods[$shipping_method_id] = $shipping_method_title;
				}					
			}
		}
		?>
		<tr valign="top" class="">								
			<th>
				<label for=""><?php esc_html_e( 'Exclude shipping method', 'advanced-local-pickup-pro' ); ?><span class="woocommerce-help-tip tipTip" title="<?php esc_html_e( 'choose a multiple exclude shipping methods for store.', 'advanced-local-pickup-pro' ); ?>"></span></label>
			</th>
			<td class="forminp">
				<fieldset>
					<select multiple class="select select2 wclp_excluded_shippings" id="wclp_excluded_shippings" name="wclp_excluded_shippings[]" data-placeholder="<?php esc_attr_e( 'Search for a shipping...', 'woocommerce' ); ?>" autocomplete="false" title="<?php esc_attr_e( 'Shipping method', 'woocommerce' ); ?>"
					class="wc-enhanced-select">
					<?php
					if ( !empty($all_shipping_methods) ) {
						foreach ($all_shipping_methods as $method_id => $method_title) { 
							?>
							<option value="<?php echo esc_attr($method_id); ?>" <?php echo ( isset($location->store_excluded_shippings) && in_array($method_id, (array) unserialize($location->store_excluded_shippings)) ) ?  'selected="selected"' : ''; ?>><?php echo esc_html($method_title); ?></option>
						<?php 
						}
					}
					?>
					</select>
				</fieldset>                
			</td>
		</tr>
	</tbody>
</table>
