<div class="license_connection_section wclp-btn">

<?php 
$zorem_license_connected = get_option( 'zorem_license_connected', 0 );
$zorem_license_email = get_option( 'zorem_license_email', '' );
$current_url = esc_url( admin_url( '/admin.php?page=local_pickup&tab=license' ) ); 

if ( $this->get_license_status() ) {
	?>
	<h3 class="licnese-inner-heading"><?php esc_html_e( 'Status:', 'advanced-local-pickup-pro' ); ?><span class="success">Active</span></h3>
	<p><?php esc_html_e('Want to deactivate the license for any reason?', 'advanced-local-pickup-pro'); ?></p>
	<form method="post" id="wclp-licence-form" class="addons_inner_container" action="" enctype="multipart/form-data">
		<input type="hidden" name="license_key" id="license_key" value="<?php esc_html_e( $this->get_license_key() ); ?>">
		<input type="hidden" id="wclp-action" name="action" class="licence_action" value="<?php echo $this->get_license_status() ? esc_html($this->get_item_code() . '_license_deactivate') : esc_html($this->get_item_code() . '_license_activate'); ?>">
		<button name="save" class="button-primary btn_green2 green" type="submit" value="Deactivate"><?php esc_html_e( 'Deactivate', 'advanced-local-pickup-pro' ); ?></button>
	</form>
	<?php
} else if ( 1 == $zorem_license_connected && '' != $zorem_license_email ) {
	?>
	<h3 class="licnese-inner-heading"><?php esc_html_e( 'Activate License', 'advanced-local-pickup-pro' ); ?></h3>
	<p><?php esc_html_e('Activate your license to receive automatic updates and premium support', 'advanced-local-pickup-pro'); ?></p>
	<a href="https://www.zorem.com/my-account/license-activation/?product_id=<?php esc_html_e($this->get_product_id()); ?>&redirect_url=<?php echo urlencode( $current_url ); ?>" class="button-primary btn_ast2"><?php esc_html_e( 'Activate License', 'advanced-local-pickup-pro' ); ?></a>
	<?php
} else {	
	?>
	<h3 class="licnese-inner-heading"><?php esc_html_e( 'Activate License', 'advanced-local-pickup-pro' ); ?></h3>
	<p><?php esc_html_e('Activate your license to receive automatic updates and premium support.', 'advanced-local-pickup-pro'); ?></p>
	<a href="https://www.zorem.com/my-account/license-activation/?product_id=<?php esc_html_e($this->get_product_id()); ?>&redirect_url=<?php echo urlencode( $current_url ); ?>" class="button-primary btn_ast2"><?php esc_html_e( 'Connect & Activate', 'advanced-local-pickup-pro' ); ?></a>
	<?php
}
?>
</div>

<?php /*<!--<form method="post" id="wclp-licence-form">
	<table id="wclp-license-form" class="wclp-license-form wp-list-table widefat fixed">
		<tbody>
			<tr class="wp-list-table__row is-ext-header">
				<td class="wp-list-table__ext-details">
					<div class="wp-list-table__ext-title">
						<?php esc_html_e('Advanced Local Pickup Pro', ''); ?>
					</div>
					<div class="wp-list-table__ext-description">
						<input type="hidden" name="action" class="licence_action" value="<?php echo $license->get_license_status() ? esc_html($license->get_item_code() . '_license_deactivate') : esc_html($license->get_item_code() . '_license_activate'); ?>" id="wclp-action">
						<input class="input-text regular-input license-input" type="text" name="license_key" id="license_key" placeholder="License Key" value="<?php echo esc_html($license->get_license_key()); ?>" required />
					</div>
				</td>
				<td class="wp-list-table__ext-actions">
				<?php if ( !$license->get_license_status() ) { ?>
					<input type="submit" class="wclp-btn button-primary woocommerce-save-button btn_small <?php echo $license->get_license_status() ? '' : 'licence_submit'; ?>" name="licence_submit" value="<?php echo $license->get_license_status() ? 'Active' : 'Activate'; ?>" style="background-color: #013047;border-color:#013047;color:#fff;<?php echo $license->get_license_status() ? 'pointer-events: none;' : ''; ?>">
				<?php } else { ?>
					<a href="" class="deactivate" style="display:inline-block;">
						<?php if ($license->get_license_status()) { ?>
							<input type="submit" class="pesan wclp-btn button-primary woocommerce-save-button btn_small deactivate licence_submit" name="licence_submit" value="<?php echo esc_html($live_message); ?>" style="">
						<?php } ?>	
					</a>
				<?php } ?>
				</td>
			</tr>
		</tbody>
	</table>	
</form>-->*/?>
