<?php 
$data = alp_pro_addon()->admin->get_data();
$sorting_by = get_option( 'wclp_pickup_location_sort', 'manual' );
if (!empty($data)) {
	$location_id = get_option('location_defualt', min($data)->id);
	$location = alp_pro_addon()->admin->get_data_byid($location_id);
}
?>
<section id="wclp_content3" class="wclp_tab_section">
	<div class="wclp_tab_inner_container">         	
		<div class="wclp_outer_form_table location-tab">
			<?php if ( 'locations' === $tab && 'edit' !== $section && 'add' !== $section ) : ?> 
			<?php /*<h1 class="tab_main_heading" style=""><?php esc_html_e( 'Pickup Locations', 'advanced-local-pickup-pro' ); ?></h1>*/ ?>
			<div class="pickup-location-list">
			<form method="post" id="wclp_choose_default_location_form">
				<?php foreach ( $data as $key => $location ) { ?>
					<?php $store_name = isset($location) ? $location->store_name : 'Default Location'; ?>
					<div class="single-location <?php echo ( isset( $location->store_enable ) && '1' == $location->store_enable ) ? 'active' : 'inactive'; ?>">
						<input type="hidden" id="<?php echo esc_html($location->id); ?>" name="location_defualt" value="<?php echo esc_html($key); ?>">
						<?php echo isset($sorting_by) && 'manual' == $sorting_by ? '<span class="dashicons dashicons-menu location-sort"></span>' : ''; ?>
						<span id="<?php echo esc_html($location->id); ?>" class="dashicons dashicons-admin-page location-duplicate" title="Duplicate"></span>
						
						<span class="tgl-btn-parent" style="padding: 25px 10px 25px 0;">
							<input type="hidden" name="wclp_store_enable" value="0">
							<input type="checkbox" id="wclp_store_enable_<?php echo esc_html($location->id); ?>" name="wclp_store_enable" data-id="<?php echo esc_html($location->id); ?>" class="tgl tgl-flat-alp wclp_location_enable" <?php echo ( isset( $location->store_enable ) && '1' == $location->store_enable ) ? 'checked' : ''; ?> value="1" style="margin: 5px;" >
							<label class="tgl-btn" for="wclp_store_enable_<?php echo esc_html($location->id); ?>"></label>
						</span>
						
						<a href="admin.php?page=local_pickup&tab=locations&section=edit&id=<?php echo esc_html($location->id); ?>" class="link location-edit <?php echo ( 'edit' === $section ) ? 'nav-tab-active' : ''; ?>"><span class="dashicons dashicons-admin-generic"></span></a>
						<a href="admin.php?page=local_pickup&tab=locations&section=edit&id=<?php echo esc_html($location->id); ?>" class="link decoration"><span class="location-title"><strong><?php esc_html_e( stripslashes($store_name), 'advanced-local-pickup-pro' ); ?></strong></span></a>
						<?php if ( '1' == $location->store_enable_appt) { ?>
						<span class="appt-status">
							<span class="dot green"></span> <?php esc_html_e( 'Appointments', 'advanced-local-pickup-pro' ); ?>
						</span>
						<?php } ?>
						<?php if ($location_id == $location->id) { ?>
							<span class="default-label"><?php esc_html_e( 'Default', 'woocommerce' ); ?></span>
						<?php } ?>
					</div>
				<?php } ?>
				<?php wp_nonce_field( 'wclp_choose_default_location_form_action', 'wclp_choose_default_location_form_nonce_field' ); ?>
				<input type="hidden" name="action" value="wclp_choose_default_location_form_update">
			</form>
			</div>
			<table class="form-table add-location-table">
				<tbody>
					<tr valign="top">						
						<td class="button-column">
							<div class="submit wclp-btn">
								<a href="admin.php?page=local_pickup&tab=locations&section=edit&id=0" class="button-primary location-add <?php echo ( 'add' === $section ) ? 'nav-tab-active' : ''; ?>">
									  <?php esc_html_e( 'Add Location ', 'advanced-local-pickup-pro' ); ?><span class="dashicons dashicons-plus" style="vertical-align: middle;"></span>
								</a>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
			<?php elseif ('locations' === $tab && 'edit' === $section ) : ?>
				<?php include 'wclp-edit-location-form.php'; ?>
			<?php endif; ?>
		</div>
	</div>
</section>
